OpenLDAP 2.4 Change Log

OpenLDAP 2.4.46 Release (2018/03/22)
	Fixed libldap connection delete callbacks when TLS fails to start (ITS#8717)
	Fixed libldap to not reuse tls_session if TLS hostname check fails (ITS#7373)
	Fixed libldap cross-compiling with OpenSSL 1.1 (ITS#8687)
	Fixed libldap OpenSSL 1.1.1 compatibility with BIO_method (ITS#8791)
	Fixed libldap MozNSS CA certificate hash matching (ITS#7374)
	Fixed libldap MozNSS with PEM certs when also using an NSS cert db (ITS#7389)
	Fixed libldap MozNSS initialization (ITS#8484)
	Fixed libldap GnuTLS with GNUTLS_E_AGAIN (ITS#8650)
	Fixed libldap memory leak with cancel operations (ITS#8782)
	Fixed slapd Eventlog registry key creation on 64-bit Windows (ITS#8705)
	Fixed slapd to maintain SSF across SASL binds (ITS#8796)
	Fixed slapd syncrepl deadlock when updating cookie (ITS#8752)
	Fixed slapd syncrepl callback to always be last in the stack (ITS#8752)
	Fixed slapd telephoneNumberNormalize when the value is spaces and hyphens (ITS#8778)
	Fixed slapd CSN queue processing (ITS#8801)
	Fixed slapd-ldap TLS connection timeout with high latency connections (ITS#8720)
	Fixed slapd-ldap to ignore unknown schema when omit-unknown-schema is set (ITS#7520)
	Fixed slapd-mdb with an optimization for long lived read transactions (ITS#8226)
	Fixed slapd-meta assert when olcDbRewrite is modified (ITS#8404)
	Fixed slapd-sock with LDAP_MOD_INCREMENT operations (ITS#8692)
	Fixed slapo-accesslog cleanup to only occur on failed operations (ITS#8752)
	Fixed slapo-dds entryTTL to actually decrease as per RFC 2589 (ITS#7100)
	Fixed slapo-syncprov memory leak with delete operations (ITS#8690)
	Fixed slapo-syncprov to not clear pending operation when checkpointing (ITS#8444)
	Fixed slapo-syncprov to correctly record contextCSN values in the accesslog (ITS#8100)
	Fixed slapo-syncprov not to log checkpoints to accesslog db (ITS#8607)
	Fixed slapo-syncprov to process changes from this SID on REFRESH (ITS#8800)
	Fixed slapo-syncprov session log parsing to not block other operations (ITS#8486)
	Build Environment
		Fixed Windows build with newer MINGW version (ITS#8697)
		Fixed compiler warnings and removed unused variables (ITS#8578)
	Contrib
		Fixed ldapc++ Control structure (ITS#8583)
	Documentation
		Delete stub manpage for back-ldbm (ITS#8713)
		Fixed ldap_bind(3) to mention the LDAP_SASL_SIMPLE mechanism (ITS#8121)
		Fixed ldap.conf(5) to note SASL_MECH/SASL_REALM are no longer user-only (ITS#8818)
		Fixed slapd-config(5) typo for olcTLSCipherSuite (ITS#8715)
		Fixed slapo-syncprov(5) indexing requirements (ITS#5048)

OpenLDAP 2.4.45 Release (2017/06/01)
	Added slapd support for OpenSSL 1.1.0 series (ITS#8353, ITS#8533, ITS#8634)
	Fixed libldap to fail ldap_result if the handle is already bad (ITS#8585)
	Fixed libldap to expose error if user specified CA doesn't exist (ITS#8529)
	Fixed libldap handling of Diffie-Hellman parameters (ITS#7506)
	Fixed libldap GnuTLS use after free (ITS#8385)
	Fixed libldap SASL initialization (ITS#8648)
	Fixed slapd bconfig rDN escape handling (ITS#8574)
	Fixed slapd segfault with invalid hostname (ITS#8631)
	Fixed slapd sasl SEGV rebind in same session (ITS#8568)
	Fixed slapd syncrepl filter handling (ITS#8413)
	Fixed slapd syncrepl infinite looping mods with delta-sync MMR (ITS#8432)
	Fixed slapd callback struct so older modules without writewait should function.
                    Custom modules may need to be updated for sc_writewait callback (ITS#8435)
	Fixed slapd-ldap/meta broken LDAP_TAILQ macro (ITS#8576)
	Fixed slapd-mdb so it passes ITS6794 regression test (ITS#6794)
	Fixed slapd-mdb double free with size zero paged result (ITS#8655)
	Fixed slapd-meta uninitialized diagnostic message (ITS#8442)
	Fixed slapo-accesslog to honor pauses during purge for cn=config update (ITS#8423)
	Fixed slapo-accesslog with multiple modifications to the same attribute (ITS#6545)
	Fixed slapo-relay to correctly initialize sc_writewait (ITS#8428)
	Fixed slapo-sssvlv double free (ITS#8592)
	Fixed slapo-unique with empty modifications (ITS#8266)
	Build Environment
		Added test065 for proxyauthz (ITS#8571)
		Fix test008 to be portable (ITS#8414)
		Fix test064 to wait for slapd to start (ITS#8644)
		Fix its4336 regression test (ITS#8534)
		Fix its4337 regression test (ITS#8535)
		Fix regression tests to execute on all backends (ITS#8539)
	Contrib
		Added slapo-autogroup(5) man page (ITS#8569)
		Added passwd missing conversion scripts for apr1 (ITS#6826)
		Fixed contrib modules where the writewait callback was not correctly initialized (ITS#8435)
		Fixed smbk5pwd to build with newer OpenSSL releases (ITS#8525)
	Documentation
		admin24 fixed tls_cipher_suite bindconf option (ITS#8099)
		admin24 fixed typo cn=config to be slapd.d (ITS#8449)
		admin24 fixed slapo-syncprov information to be current (ITS#8253)
		admin24 fixed typo in access control docs (ITS#7341, ITS#8391)
		admin24 fixed minor typo in tuning guide (ITS#8499)
		admin24 fixed information about the limits option (ITS#7700)
		admin24 fixed missing options for syncrepl configuration (ITS#7700)
		admin24 fixed accesslog documentation to note it should not be replicated (ITS#8344)
		Fixed ldap.conf(5) missing information on SASL_NOCANON option (ITS#7177)
		Fixed ldapsearch(1) information on the V[V] flag behavior (ITS#7177, ITS#6339)
		Fixed slapd-config(5), slapd.conf(5) clarification on interval keyword for refreshAndPersist (ITS#8538)
		Fixed slapd-config(5), slapd.conf(5) clarify serverID requirements (ITS#8635)
		Fixed slapd-config(5), slapd.conf(5) clarification on loglevel settings (ITS#8123)
		Fixed slapo-ppolicy(5) to clearly note rootdn requirement (ITS#8565)
		Fixed slapo-memberof(5) to note it is not safe to use with replication (ITS#8613)
		Fixed slapo-syncprov(5) documentation to be current (ITS#8253)
		Fixed slapadd(8) manpage to note slapd-mdb (ITS#8215)
		Fixed various minor grammar issues in the man pages (ITS#8544)
		Fixed various typos (ITS#8587)

OpenLDAP 2.4.44 Release (2016/02/05)
	Fixed slapd-bdb/hdb missing olcDbChecksum config attr (ITS#8337)
	Fixed slapd-mdb behavior with long lived read transactions (ITS#8226)
	Fixed slapd-mdb cleanup after failed transaction (ITS#8360)
	Fixed slapd-sql missing id_query/olcSqlIdQuery (ITS#8329)
	Fixed slapo-accesslog callback initialization (ITS#8351)
	Fixed slapo-ppolicy pwdMaxRecordedFailure must never be zero (ITS#8327)
	Fixed slapo-syncprov abandon processing (ITS#8354)
	Fixed slapo-syncprov ctxcsn snapshot on refresh (ITS#8281, ITS#8365)
	Documentation
		admin24 Stop linking to Berkeley DB downloads (ITS#8362)
		admin24 Update documentation for LMDB preference

OpenLDAP 2.4.43 Release (2015/11/30)
	Fixed liblber remove obsolete assert (ITS#8240, ITS#8301)
	Fixed libldap file URLs on windows (ITS#8273)
	Fixed libldap microsecond timer for windows (ITS#8295)
	Fixed slap tools minor one time memory leak (ITS#8082)
	Fixed slapd to avoid redundant processing of abandon ops (ITS#8232)
	Fixed slapd syncrepl SEGV when present list is NULL (ITS#8231, ITS#8042)
	Fixed slapd segfault with invalid SASL URI (ITS#8218)
	Fixed slapd configuration parser with unbalanced quotes (ITS#8233)
	Fixed slapd syncrepl check with config db on windows (ITS#8277)
	Fixed slapd with mod Increment and inherited attribute type (ITS#8289)
	Fixed slapd-ldap SEGV after failed retry (ITS#8173)
	Fixed slapd-ldap to skip client controls in ldap_back_entry_get (ITS#8244)
	Fixed slapd-null to have an option to return a search entry (ITS#8249)
	Fixed slapd-relay to correctly handle quoted options (ITS#8284)
	Fixed slapo-accesslog delta-sync MMR with interrupted refresh phase (ITS#8281)
	Fixed slapo-dds segfault when using slapo-memberof (ITS#8133)
	Fixed slapo-ppolicy to allow purging of stale pwdFailureTime attributes (ITS#8185)
	Fixed slapo-ppolicy to release entry on failure (ITS#7537)
	Fixed slapo-ppolicy to fall back to default policy if there is a parsing error (ITS#8234)
	Fixed slapo-syncprov with interrupted refresh phase (ITS#8281)
	Fixed slapo-refint with subtree renames (ITS#8220)
	Fixed slapo-rwm missing olcDropUnrequested attribute (ITS#7889)
	Fixed slapo-rwm parsing to avoid double-escaping rewrite rules (ITS#7964)
	Build Environment
		Fixed ldif-filter option parsing (ITS#8292)
		Fixed slapd-tester EOL handling in test output for windows (ITS#8280)
		Fixed slapd-tester executable suffix for windows (ITS#8216)
		Fixed test061 timing issues (ITS#8297)
	Contrib
		Added libnettle support to pw-pbkdf2 (ITS#8198)
		Fixed smbk5pwd compiler warnings with libnettle (ITS#8235)
		Fixed passwd symbol collisions with other crypto libraries (ITS#8294)
	Documentation
		Updated guide to reflect changes to how TLS is handled with syncrepl (ITS#7897)

OpenLDAP 2.4.42 Release (2015/08/14)
	Fixed liblber address length for CLDAP (ITS#8158)
	Fixed libldap dnssrv potential overflow with port number (ITS#7027,ITS#8195)
	Fixed slapd cn=config when updating olcAttributeTypes (ITS#8199)
	Fixed slapd-mdb to correctly update search candidates for scoped searches (ITS#8203)
	Fixed slapo-ppolicy with redundant mod ops on glued trees (ITS#8184)
	Fixed slapo-rwm crash when deleting rewrite rules (ITS#8213)
	Build Environment
		Fixed libdb detection with gcc 5.x (ITS#8056)

OpenLDAP 2.4.41 Release (2015/06/21)
	Fixed ldapsearch to explicitly flush its buffer (ITS#8118)
	Fixed libldap async connections (ITS#8090)
	Fixed libldap double free of request during abandon (ITS#7967)
	Fixed libldap error string for LDAP_X_CONNECTING (ITS#8093)
	Fixed libldap segfault in ldap_sync_initialize (ITS#8001)
	Fixed libldap ldif-wrap off by one error (ITS#8003)
	Fixed libldap handling of TLS in async mode (ITS#8022)
	Fixed libldap null pointer dereference (ITS#8028)
	Fixed libldap mutex handling with LDAP_OPT_SESSION_REFCNT (ITS#8050)
	Fixed slapd slapadd config db import of minimal frontend entry (ITS#8150)
	Fixed slapd slapadd onetime leak with -w (ITS#8014)
	Fixed slapd sasl auxprop crash with invalid config (ITS#8092)
	Fixed slapd syncrepl delta-mmr issue with overlays and slapd.conf (ITS#7976)
	Fixed slapd syncrepl mutex for cookie state (ITS#7968)
	Fixed slapd syncrepl memory leaks (ITS#8035)
	Fixed slapd syncrepl to free presentlist at end of refresh mode (ITS#8038)
	Fixed slapd syncrepl to streamline presentlist (ITS#8042)
	Fixed slapd syncrepl concurrency when CHECK_CSN is enabled (ITS#8120)
	Fixed slapd rootdn checks for hidden backends (ITS#8108)
	Fixed slapd segfault when using matched values control (ITS#8046)
	Fixed slapd-ldap reconnection behavior on remote failure (ITS#8142)
	Fixed slapd-mdb minor case typo (ITS#8049)
	Fixed slapd-mdb one-level search (ITS#7975)
	Fixed slapd-mdb heap corruption (ITS#7965)
	Fixed slapd-mdb crash after deleting in-use schema (ITS#7995)
	Fixed slapd-mdb minor code cleanup (ITS#8011)
	Fixed slapd-mdb to return errors when using incorrect env flags (ITS#8016)
	Fixed slapd-mdb to correctly update search candidates (ITS#8036, ITS#7904)
	Fixed slapd-mdb when there were more than 65535 aliases in scope (ITS#8103)
	Fixed slapd-mdb alias deref when objectClass is not indexed (ITS#8146)
	Fixed slapd-meta TLS initialization with ldaps URIs (ITS#8022)
	Fixed slapd-meta to have better error logging (ITS#8131)
	Fixed slapd-perl conversion to cn=config (ITS#8105)
	Fixed slapd-sql autocommit config variable (ITS#8129,ITS#6613)
	Fixed slapo-collect segfault (ITS#7797)
	Fixed slapo-constraint with 0 count constraint (ITS#7780,ITS#7781)
	Fixed slapo-deref with empty attribute list (ITS#8027)
	Fixed slapo-memberof to correctly reject invalid members (ITS#8107)
	Fixed slapo-sock result parser for CONTINUE (ITS#8048)
	Fixed slapo-syncprov synprov_matchops usage of test_filter (ITS#8013)
	Fixed slapo-syncprov segfault on disconnect/abandon (ITS#5452,ITS#8012)
	Fixed slapo-syncprov memory leak (ITS#8039)
	Fixed slapo-syncprov segfault on disconnect/abandon (ITS#8043)
	Fixed slapo-syncprov deadlock when autogroup is in use (ITS#8063)
	Fixed slapo-syncprov potential loss of changes when under load (ITS#8081)
	Fixed slapo-unique enforcement of uniqueness with manageDSAit control (ITS#8057)
	Build Environment
		Fixed ftello reference for Win32 (ITS#8127)
		Enhanced contrib modules build paths (ITS#7782)
		Fixed contrib/autogroup internal operation identity (ITS#8006)
		Fixed contrib/autogroup to skip internal ops with accesslog (ITS#8065)
		Fixed contrib/passwd/sha2 compiler warning (ITS#8000)
		Fixed contrib/noopsrch compiler warning (ITS#7998)
		Fixed contrib/dupent compiler warnings (ITS#7997)
		Test suite: Added vrFilter test (ITS#8046)
	Contrib
		Added pbkdf2 sha256 and sha512 schemes (ITS#7977)
		Fixed autogroup modification callback responses (ITS#6970)
		Fixed nssov compare with usergroup (ITS#8079)
		Fixed nssov password change behavior (ITS#8080)
		Fixed nssov updated to 0.9.4 (ITS#8097)
	Documentation
		Added ldap_get_option(3) LDAP_FEATURE_INFO_VERSION information (ITS#8032)
		Added ldap_get_option(3) LDAP_OPT_API_INFO_VERSION information (ITS#8032)
		Fixed slapd-config(5), slapd.conf(5) tls_cipher_suite option (ITS#8099)
		Fixed slapd-meta(5), slapd-ldap(5) tls_cipher_suite option (ITS#8099)
		Fixed slapd-meta(5) fix minor typo (ITS#7769)

OpenLDAP 2.4.40 Release (2014/09/20)
	Fixed libldap DNS SRV priority handling (ITS#7027)
	Fixed libldap don't leak libldap err codes (ITS#7676)
	Fixed libldap CR/LF handling (ITS#4635)
	Fixed libldap ldif-wrap length (ITS#7871)
	Fixed libldap GnuTLS ciphersuite parsing (ITS#7500)
	Fixed libldap GnuTLS with newer versions (ITS#7430,ITS#6359)
	Fixed libldif to correctly handle 4096 character lines (ITS#7859)
	Fixed librewrite reference counting (ITS#7723)
	Fixed slapacl with back-mdb reader transactions (ITS#7920)
	Fixed slapd syncrepl to send cookie on fallback (ITS#7849)
	Fixed slapd syncrepl SEGV when abandoning a connection (ITS#7928)
	Fixed slapd slapcat with external schema (ITS#7895)
	Fixed slapd schema RDN normalization (ITS#7935)
	Fixed slapd with repeated language tags (ITS#7941)
	Fixed slapd modrdn crash on naming attr with no matching rule (ITS#7850)
	Fixed slapd memory leak in control handling (ITS#7942)
	Fixed slapd-ldap removed dead code (ITS#7922)
	Fixed slapd-mdb to work concurrently with slapadd (ITS#7798)
	Fixed slapd-mdb with paged results (ITS#7705, ITS#7800)
	Fixed slapd-mdb slapcat with nonexistent indices (ITS#7870)
	Fixed slapd-mdb long lived reader transactions (ITS#7904)
	Fixed slapd-mdb memory leak on matchedDN (ITS#7872)
	Fixed slapd-mdb sorting of attribute values (ITS#7902)
	Fixed slapd-mdb to flag attribute values as sorted (ITS#7903)
	Fixed slapd-mdb index config handling (ITS#7912)
	Fixed slapd-mdb entry release handling (ITS#7915)
	Fixed slapd-mdb with aliases and referrals (ITS#7927)
	Fixed slapd-mdb alias dereferencing (ITS#7702)
	Fixed slapd-sock socket flushing (ITS#7937)
	Fixed slapo-accesslog attribute normalization (ITS#7934)
	Fixed slapo-accesslog internal search logging (ITS#7929)
	Fixed slapo-auditlog connection destroy logic (ITS#7906,ITS#7923)
	Fixed slapo-chain interaction with slapo-rwm (ITS#7930)
	Fixed slapo-constraint connection destroy logic (ITS#7906,ITS#7923)
	Fixed slapo-dds connection destroy logic (ITS#7906,ITS#7923)
	Fixed slapo-dyngroup connection destroy logic (ITS#7906,ITS#7923)
	Fixed slapo-memberof attr count (ITS#7893)
	Fixed slapo-memberof frontendDB handling (ITS#7249)
	Fixed slapo-memberof internal search logging (ITS#7929)
	Fixed slapo-pcache config processing (ITS#7919)
	Fixed slapo-pcache connection destroy logic (ITS#7906,ITS#7923)
	Added slapo-ppolicy ORDERING rules (ITS#7838)
	Fixed slapo-ppolicy timestamp resolution to use microseconds (ITS#7161)
	Fixed slapo-ppolicy connection destroy logic (ITS#7906,ITS#7923)
	Fixed slapo-refint to check for pauses in cn=config (ITS#7873)
	Fixed slapo-refint internal search logging (ITS#7929)
	Fixed slapo-refint connection destroy logic (ITS#7906,ITS#7923)
	Fixed slapo-seqmod connection destroy logic (ITS#7906,ITS#7923)
	Fixed slapo-slapover connection destroy logic (ITS#7906,ITS#7923)
	Fixed slapo-sock db_init (ITS#7868)
	Fixed slapo-sssvlv fix olcSssVlvMaxPerConn (ITS#7908)
	Fixed slapo-translucent double free (ITS#7587)
	Fixed slapo-translucent to work with manageDSAit (ITS#7864)	
	Fixed slapo-translucent to use local backend with local entries (ITS#7915)
	Fixed slapo-unique connection destroy logic (ITS#7906,ITS#7923)
	Fixed slapcacl with invalid suffix (ITS#7827)
	Build Environment
		Remove support for gcrypt (ITS#7877)
		BDB 6.0.20 and later is not supported (ITS#7890)
		Fixed ODBC link check (ITS#7891)
		Fixed slapd.ldif frontend config (ITS#7933)
	Contrib
		Added pbkdf2 module (ITS#7742)
		Fixed autogroup double free (ITS#7831)
		Fixed autogroup modification callback responses (ITS#6970)
		Fixed ldapc++ memory leak in Async connection (ITS#7806)
		Fixed nssov install path (ITS#7858)
		Fixed passwd rpath (ITS#7885)
		Fixed apr1 do_phk_hash argument order (ITS#7869)
		Fixed slapd-sha2 buffer overrun (ITS#7851)
	Documentation
		Fixed slapd.ldif man page reference (ITS#7803)
		Fixed slapd.conf(5) man page to reference exattrs (ITS#7847)
		Fixed guide to work with mkrelease (ITS#7887)
		Fixed ldap_get_dn(3) ldap_ava definition (ITS#7860)

OpenLDAP 2.4.39 Release (2014/01/26)
	Fixed libldap MozNSS crash (ITS#7783)
	Fixed libldap memory leak with SASL (ITS#7757)
	Fixed libldap assert in parse_passwdpolicy_control (ITS#7759)
	Fixed libldap shortcut NULL RDNs (ITS#7762)
	Fixed libldap deref to use correct control
	Fixed liblmdb keysizes with mdb_update_key (ITS#7756)
	Fixed slapd cn=config olcDbConfig modification (ITS#7750)
	Fixed slapd-bdb/hdb to bail out of search if config is paused (ITS#7761)
	Fixed slapd-bdb/hdb indexing issue with derived attributes (ITS#7778)
	Fixed slapd-mdb to bail out of search if config is paused (ITS#7761)
	Fixed slapd-mdb indexing issue with derived attributes (ITS#7778)
	Fixed slapd-perl to bail out of search if config is paused (ITS#7761)
	Fixed slapd-sql to bail out of search if config is paused (ITS#7761)
	Fixed slapo-constraint handling of softadd/softdel (ITS#7773)
	Fixed slapo-syncprov assert with findbase (ITS#7749)
	Build Environment
		Test suite: Use $(MAKE) for tests (ITS#7753)
	Documentation
		admin24 fix TLSDHParamFile to be correct (ITS#7684)

OpenLDAP 2.4.38 Release (2013/11/16)
	Fixed liblmdb nordahead flag (ITS#7734)
	Fixed liblmdb to check cursor index before cursor_del (ITS#7733)
	Fixed liblmdb wasted space on split (ITS#7589)
	Fixed slapd for certs with a NULL issuerDN (ITS#7746)
	Fixed slapd cn=config with empty nested includes (ITS#7739)
	Fixed slapd syncrepl memory leak with delta-sync MMR (ITS#7735)
	Fixed slapd-bdb/hdb to stop processing on dn not found (ITS#7741)
	Fixed slapd-bdb/hdb with indexed ANDed filters (ITS#7743)
	Fixed slapd-mdb to stop processing on dn not found (ITS#7741)
	Fixed slapd-mdb dangling reader (ITS#7662)
	Fixed slapd-mdb matching rule for OlcDbEnvFlags (ITS#7737)
	Fixed slapd-mdb with indexed ANDed filters (ITS#7743)
	Fixed slapd-meta from blocking other threads (ITS#7740)
	Fixed slapo-syncprov assert with findbase (ITS#7749)

OpenLDAP 2.4.37 Release (2013/10/27)
	Added liblmdb nordahead environment flag (ITS#7725)
	Fixed client tools CLDAP with IPv6 (ITS#7695)
	Fixed libldap CLDAP with IPv6 (ITS#7695)
	Fixed libldap lock ordering with abandon op (ITS#7712)
	Fixed liblmdb segfault with mdb_cursor_del (ITS#7718)
	Fixed liblmdb when converting to writemap (ITS#7715)
	Fixed liblmdb assert on MDB_NEXT with delete (ITS#7722)
	Fixed liblmdb wasted space on split (ITS#7589)
	Fixed slapd cn=config with olcTLSProtocolMin (ITS#7685)
	Fixed slapd-bdb/hdb optimize index updates (ITS#7329)
	Fixed slapd-ldap chaining with cn=config (ITS#7381, ITS#7434)
	Fixed slapd-ldap chaining with controls (ITS#7687)
	Fixed slapd-mdb optimize index updates (ITS#7329)
	Fixed slapd-meta chaining with cn=config (ITS#7381, ITS#7434)
	Fixed slapo-constraint to no-op on nonexistent entries (ITS#7692)
	Fixed slapo-dds assert on startup (ITS#7699)
	Fixed slapo-memberof to not replicate internal ops (ITS#7710)
	Fixed slapo-refint to not replicate internal ops (ITS#7710)
	Build Environment
		Fixed slapd-mdb ptr arithmetic on void *s (ITS#7720)
	Documentation
		ldapsearch(1) minor typo fix (ITS#7680)
		slapd-passwd(5) minor typo fix (ITS#7680)

OpenLDAP 2.4.36 Release (2013/08/17)
	Added back-meta target filter patterns (ITS#7609)
	Added liblmdb mdb_txn_env to API (ITS#7660)
	Fixed libldap CLDAP with uninit'd memory (ITS#7582)
	Fixed libldap with UDP (ITS#7583)
	Fixed libldap OpenSSL TLS versions (ITS#7645)
	Fixed liblmdb MDB_PREV behavior (ITS#7556)
	Fixed liblmdb transaction issues (ITS#7515)
	Fixed liblmdb mdb_drop overflow page return (ITS#7561)
	Fixed liblmdb nested split (ITS#7592)
	Fixed liblmdb overflow page behavior (ITS#7620)
	Fixed liblmdb race condition with read and write txns (ITS#7635)
	Fixed liblmdb mdb_del behavior with MDB_DUPSORT and mdb_del (ITS#7658)
	Fixed slapd cn=config with unknown schema elements (ITS#7608)
	Fixed slapd cn=config with loglevel 0 (ITS#7611)
	Fixed slapd slapi filterlist free behavior (ITS#7636)
	Fixed slapd slapi control free behavior (ITS#7641)
	Fixed slapd schema countryString as directoryString (ITS#7659)
	Fixed slapd schema telephoneNumber as directoryString (ITS#7659)
	Fixed slapd-bdb/hdb to wait for read locks in tool mode (ITS#6365)
	Fixed slapd-mdb behavior with alias dereferencing (ITS#7577)
	Fixed slapd-mdb modrdn and base-scoped searches (ITS#7604)
	Fixed slapd-mdb refcount behavior (ITS#7628)
	Fixed slapd-meta binding flag is set (ITS#7524)
	Fixed slapd-meta with minimal config (ITS#7581)
	Fixed slapd-meta missing results messages (ITS#7591)
	Added slapd-meta TCP keepalive support (ITS#7513)
	Fixed slapo-sssvlv double free (ITS#7588)
	Fixed slaptest to list -Q option (ITS#7568)
	Build Environment
		Fixed slapd-meta declaration warnings (ITS#7654)
	Contrib
		Fixed nssov group enumeration bug (ITS#7569)
		Fixed autogroup when URI has no attrs (ITS#7580)
	Documentation
		admin24 Update database backend notes (ITS#7590)
		ldap.conf(5) fixed typos (ITS#7568)
		ldapmodify(1) remove replog reference (ITS#7562)
		ldif(5) remove replog reference (ITS#7562)
		slapd-config(5) remove replog reference (ITS#7562)
		slapd.conf(5) remove replog reference (ITS#7562)
		slapd-config(5) document TLSProtocolMin (ITS#5655,ITS#7645)
		slapd.conf(5) document TLSProtocolMin (ITS#5655,ITS#7645)

OpenLDAP 2.4.35 Release (2013/03/31)
	Fixed liblmdb mdb_cursor_put with MDB_MULTIPLE (ITS#7551)
	Fixed liblmdb page rebalance (ITS#7536)
	Fixed liblmdb missing parens (ITS#7377)
	Fixed liblmdb mdb_cursor_del crash (ITS#7553)
	Fixed slapd syncrepl updateCookie status (ITS#7531)
	Fixed slapd connection logging (ITS#7543)
	Fixed slapd segfault on modify (ITS#7542, ITS#7432)
	Fixed slapd-mdb to reject undefined attrs (ITS#7540)
	Fixed slapo-pcache with +/- attrsets (ITS#7552)
	Build Environment
		don't install DB_CONFIG if no BDB backends (ITS#7533)
	Documentation
		slapschema(8) fix tool name (ITS#7534)
		admin24 fixed pcache example (ITS#7546)
		admin24 fixed config examples (ITS#7522)

OpenLDAP 2.4.34 Release (2013/03/01)
	Fixed libldap connections with EINTR (ITS#7476)
	Fixed libldap lineno overflow in ldif_read_record (ITS#7497)
	Fixed liblmdb mdb_env_open flag handling (ITS#7453)
	Fixed liblmdb mdb_midl_sort array optimization (ITS#7432)
	Fixed liblmdb freelist with large entries (ITS#7455)
	Fixed liblmdb to check for filled dirty page list (ITS#7491)
	Fixed liblmdb to validate data limits (ITS#7485)
	Fixed liblmdb mdb_update_key for large keys (ITS#7505)
	Fixed ldapmodify to not core dump with invalid LDIF (ITS#7477)
	Fixed slapd syncrepl for old entries in MMR setup (ITS#7427)
	Fixed slapd signedness for index_substr_any_* (ITS#7449)
	Fixed slapd enforce SLAPD_MAX_DAEMON_THREADS (ITS#7450)
	Fixed slapd mutex in send_ldap_ber (ITS#6164)
	Added slapd-ldap onerr option (ITS#7492)
	Added slapd-ldap keepalive support (ITS#7501)
	Fixed slapd-ldif with empty dir (ITS#7451)
	Fixed slapd-mdb to reopen attr DBs after env reopen (ITS#7416)
	Fixed slapd-mdb handling of missing entries (ITS#7483,7496)
	Fixed slapd-mdb environment flag setting (ITS#7452)
	Fixed slapd-mdb with sub db slapcat (ITS#7469)
	Fixed slapd-mdb to correctly work with toolthreads > 2 (ITS#7488,ITS#7527)
	Fixed slapd-mdb subtree search speed (ITS#7473)
	Fixed slapd-meta conversion to cn=config (ITS#7525)
	Fixed slapd-meta segfault when modifying olcDbUri (ITS#7526)
	Fixed slapd-sql back-config support (ITS#7499)
	Fixed slapo-constraint handle uri and restrict correctly (ITS#7418)
	Fixed slapo-constraint with multi-master replication (ITS#7426)
	Fixed slapo-constraint segfault (ITS#7431)
	Fixed slapo-deref control initialization (ITS#7436)
	Fixed slapo-deref control exposure (ITS#7445)
	Fixed slapo-memberof with internal ops (ITS#7487)
	Fixed slapo-pcache matching rules for config db (ITS#7459)
	Fixed slapo-rwm modrdn cleanup (ITS#7414)
	Fixed slapo-sssvlv maxperconn parameter (ITS#7484)
	Build Environment
		Fixed slapo-constraint test suite (ITS#7423)
	Contrib
		Added nssov nssov_config support (ITS#7518)
		Added nssov password_prohibit_message (ITS#7518)
		Fixed ldapc++ with gcc-4.7 (ITS#7281,ITS#7304)
		Fixed nssov olcNssPamSession handling (ITS#7481)
		Fixed nssov connection DN (ITS#7518)
		Add missing Makefile for various modules (ITS#7308)
		Unify Makefile structure for modules (ITS#7309)
		Fixed slapo-allowed attribute replication (ITS#7493)
		Fixed slapo-passwd SHA2 to correctly zero buffer (ITS#7490)
	Documentation
		ldapurl(1) fix example usage (ITS#7454)
		ldap_get_option(3) fixed trailing whitespace (ITS#7411)
		slapd-config(5) olcExtraAttrs is per db (ITS#7421)
		slapd-overlays(5) update manpage index (ITS#7489)
		slapo-dynlist(5) Search behavior notes (ITS#7486)
		slapo-valsort(5) Document valsort control syntax (ITS#7523)

OpenLDAP 2.4.33 Release (2012/10/10)
	Added slapd-meta cn=config support
	Fixed libldap MozNSS slot picking (ITS#7359)
	Fixed libldap MozNSS with tokenname:certnickname format (ITS#7360)
	Fixed liblmdb POSIX semaphore cleanup on environment close (ITS#7364)
	Fixed liblmdb mdb_page_split (ITS#7385, ITS#7229)
	Fixed slapd alock handling on Windows (ITS#7361)
	Fixed slapd acl handling with zero-length values (ITS#7350)
	Fixed slapd syncprov to not reference ops inside a lock (ITS#7172)
	Fixed slapd delta-syncrepl MMR with large attribute values (ITS#7354)
	Fixed slapd slapd_rw_destroy function (ITS#7390)
	Fixed slapd-ldap idassert bind handling (ITS#7403)
	Fixed slapd-mdb slapadd -q -w double free (ITS#7356)
	Fixed slapd-mdb to close read txn in reindex commit (ITS#7386)
	Fixed slapo-constraint with multiple modifications (ITS#7168)
	Build Environment
		Fixed build with Visual Studio (ITS#7358)
		Fixed liblmdb posix semaphore use on BSD system (ITS#7363)
		Add slapo-constraint test suite (ITS#7344, ITS#7366)
	Contrib
		Updated radius passwd module for NAS-Identifier (ITS#7357)
	Documentation
		slapo-refint(5) Note that refint is not replicated (ITS#7405)

OpenLDAP 2.4.32 Release (2012/07/31)
	Added slappasswd loadable module support (ITS#7284)
	Fixed tools to not clobber SASL_NOCANON (ITS#7271)
	Fixed libldap function declarations (ITS#7293)
	Fixed libldap double free (ITS#7270)
	Fixed libldap debug level setting (ITS#7290)
	Fixed libldap MozNSS PEM/certdb handling (ITS#7276)
	Fixed libldap MozNSS cipher suite selection (ITS#7285)
	Fixed libldap MozNSS error handling (ITS#7287)
	Fixed libldap MozNSS cipher suite being ignored (ITS#7289)
	Fixed libldap MozNSS infinite loop (ITS#7291)
	Fixed libldap MozNSS context token for certdb (ITS#7312)
	Fixed libldap MozNSS store certificate object (ITS#7313)
	Fixed libldap MozNSS fix init and cleanup (ITS#7314)
	Fixed libldap MozNSS slot and pin usage (ITS#7315)
	Fixed libldap MozNSS to avoid infinite loop (ITS#7316)
	Fixed libldap MozNSS untrusted issuer error (ITS#7331)
	Fixed libldap gettime() regression (ITS#6262)
	Fixed libldap sasl handling (ITS#7118, ITS#7133)
	Fixed libldap to correctly free socket with TLS (ITS#7241)
	Fixed liblmdb leaf node handling (ITS#7266)
	Fixed liblmdb mutexes on Apple/Windows (ITS#7251)
	Fixed slapd config index renumbering (ITS#6987)
	Fixed slapd duplicate error response (ITS#7076)
	Fixed slapd parsing of PermissiveModify control (ITS#7298)
	Fixed slapd-bdb/hdb cache hang under high load (ITS#7222)
	Fixed slapd-bdb/hdb alias checking (ITS#7303)
	Fixed slapd-bdb/hdb olcDbConfig changes work immediately (ITS#7338)
	Fixed slapd-ldap to encode user DN during password change (ITS#7319)
	Fixed slapd-ldap assertion when proxying to MS AD (ITS#6851)
	Fixed slapd-ldap monitoring (ITS#7182, ITS#7225)
	Fixed slapd-mdb with tool mode (ITS#7255)
	Fixed slapd-mdb with approx indexing (ITS#7279)
	Fixed slapd-mdb dn2id delete (ITS#7302)
	Fixed slapd-mdb memory leak in online indexer (ITS#7323)
	Fixed slapd-mdb db corruption when hitting maxsize (ITS#7337)
	Fixed slapd-mdb aborts with online indexing (ITS#7339)
	Fixed slapd-perl panic (ITS#7325)
	Fixed slapo-accesslog memory leaks with sync replication (ITS#7292)
	Fixed slapo-syncprov memory leaks with sync replication (ITS#7292)
	Fixed contrib/smbk5pwd to not compile with MozNSS (ITS#7327)
	Fixed contrib/sha2 portability (ITS#7267)
	Fixed contrib/sha2 thread safety (ITS#7269)
	Added contrib/sha2 {SSHA256}, {SSHA384}, {SSHA512} support (ITS#7278)
	Build Environment
		Fixed test057 timing issues (ITS#7317)
		Fixed compilation with MS Visual Studio (ITS#7332)
	Contrib
		Added slapi_[get|free]_client_ip() (ITS#7305)
	Documentation
		slapo-sssvlv Added note about criticality (ITS#7253)
		admin24 Fix peername.regex typo (ITS#7282)
		Fixed slapd-config file include example (ITS#7318)
		slapd-ldap(5) Reference RFC4526 (ITS#7294)
		slapd-meta(5) Reference RFC4526 (ITS#7294)

OpenLDAP 2.4.31 Release (2012/04/21)
	Added slapo-accesslog support for reqEntryUUID (ITS#6656)
	Fixed libldap IPv6 URL detection (ITS#7194)
	Fixed libldap rebinding on failed connection (ITS#7207)
	Fixed liblmdb alignment of MDB_db members (ITS#7191)
	Fixed liblmdb branch page merging on deletes (ITS#7190)
	Fixed liblmdb page split with MDB_APPEND (ITS#7213)
	Fixed liblmdb free page usage with entry deletion (ITS#7210)
	Fixed liblmdb to use IOV_MAX if it is defined and small (ITS#7196)
	Fixed liblmdb key alignment (ITS#7219)
	Fixed liblmdb mdb_page_split (ITS#7229)
	Fixed liblmdb with zero length IDLs (ITS#7230)
	Fixed slapd listener initialization (ITS#7233)
	Fixed slapd cn=config with olcTLSVerifyClient (ITS#7197)
	Fixed slapd delta-syncrepl fallback on non-leaf error (ITS#7195)
	Fixed slapd to reject MMR setups with bad serverID setting (ITS#7200)
	Fixed slapd approxIndexer key generation (ITS#7203)
	Fixed slapd modification of olcSuffix (ITS#7205)
	Fixed slapd schema validation with missing definitions (ITS#7224)
	Fixed slapd syncrepl -c with supplied CSN values (ITS#7245)
	Fixed slapd-bdb/hdb idlcache with only one element (ITS#7231)
	Fixed slapd-perl modify with binary values (ITS#7149)
	Fixed slapd-shell cn=config support (ITS#7201)
	Fixed slapd-shell modify with binary values (ITS#7149)
	Fixed slapo-accesslog deadlock with non-logged write ops (ITS#7088)
	Fixed slapo-syncprov sessionlog check (ITS#7218)
	Fixed slapo-syncprov entry leak (ITS#7234)
	Fixed slapo-syncprov startup initialization (ITS#7235)
	Build Environment
		Fixed test022 to check ldapsearch results (ITS#7228)
		Fixed test044 when back-monitor is disabled (ITS#7204)
	Documentation
		Fixed slapschema(8) formatting (ITS#7188)
		Fixed limdb functionality documentation (ITS#7238)
		Fixed ldap_get_option(3) note inheritance behavior (ITS#7240)

OpenLDAP 2.4.30 Release (2012/02/29)
	Fixed libldap socket polling for writes (ITS#7167)
	Fixed liblutil string modifications (ITS#7174)
	Fixed slapd crash when attrsOnly is true (ITS#7143)
	Fixed slapd syncrepl delete handling (ITS#7052,ITS#7162)
	Fixed slapd-mdb slapadd with -q (ITS#7170)
	Fixed slapd-mdb slapadd with -w (ITS#7180)
	Fixed slapd-mdb slapindex with -q and -t (ITS#7176)
	Fixed slapo-pcache time-to-refesh handling (ITS#7178)
	Fixed slapo-syncprov loop detection (ITS#6024)
	Build Environment
		Fixed POSIX make support (ITS#7160)
		Fixed slapd-mdb build on POSIX (ITS#7160)
	Documentation
		Added option "-o" to ldap*(1) pages  (ITS#7152)
		Fixed ldap*(1) page cleanup (ITS#7177)
		Fixed ldap_modify(3) prototypes (ITS#7173)

OpenLDAP 2.4.29 Release (2012/02/12)
	Fixed libldap MozNSS deferred initialization handling (ITS#7136)
	Fixed libldap MozNSS with TLSCertificateKeyFile not set (ITS#7135)
	Fixed slapd cn=config modification of first schema element (ITS#7098)
	Fixed slapd operation reuse (ITS#7107)
	Fixed slapd blocked writers to not interfere with pool pause (ITS#7115)
	Fixed slapd connection loop connindex usage (ITS#7131)
	Fixed slapd double mutex unlock via connection_done (ITS#7125)
	Fixed slapd check order in connection_write (ITS#7113)
	Fixed slapd slapadd to exit on failure (ITS#7142)
	Fixed slapd syncrepl reference to freed memory (ITS#7127,ITS#7132)
	Fixed slapd syncrepl to ignore some errors on delete (ITS#7052)
	Fixed slapd syncrepl to handle missing oldRDN (ITS#7144)
	Fixed slapd-mdb to handle overlays in tool mode (ITS#7099)
	Fixed slapd-mdb segfaults with page splits (ITS#7121)
	Fixed slapd-mdb cleanup on transaction abort (ITS#7140)
	Fixed slapd-mdb with attribute descriptions (ITS#7146)
	Fixed slapd-meta to correctly handle multiple targets (ITS#7050)
	Fixed slapd-monitor compare op to update cached entry (ITS#7123)
	Fixed slapd-perl initialization (ITS#7075)
	Fixed slapd-sql to properly initialize be_cf_ocs (ITS#7158)
	Fixed slapo-dds to properly exit when in tool mode (ITS#7099)
	Fixed slapo-rwm not leave empty lots with normalized attrs (ITS#7143)
	Fixed slapo-syncprov with already abandoned operation (ITS#7150)
	Fixed contrib/smbk5pwd uninitialized keys in shadowLastChange (ITS#7138)
	Build Environment
		Fixed ldapsearch build on windows (ITS#7156)
		Fixed test001 to skip back-ldif (ITS#7101)
	Documentation
		admin24 Fix typo (ITS#7117)

OpenLDAP 2.4.28 Release (2011/11/26)
	Fixed back-mdb out of order slapadd (ITS#7090)

OpenLDAP 2.4.27 Release (2011/11/24)
	Added libldap support for draft-wahl-ldap-session (ITS#6984)
	Added slapd support for draft-wahl-ldap-session (ITS#6984)
	Added slapadd pipelining capability (ITS#7078)
	Added slapd Add-if-not-present (ITS#6561)
	Added slapd delta-syncrepl MMR (ITS#6734,ITS#7029,ITS#7031)
	Added slapd-mdb experimental backend (ITS#7079)
	Added slapd-passwd dynamic config support
	Added slapd-perl dynamic config support
	Added slapd-shell dynamic config support
	Added slapd-sock support as an overlay (ITS#6666)
	Added slapd-sql dynamic config support
	Added contrib/passwd APR1 support (ITS#6826)
	Fixed slapi linking on AIX (ITS#3272)
	Fixed ldapmodify crash with LDIF controls (ITS#7039)
	Fixed ldapsearch to honor timeout and timelimit (ITS#7009)
	Fixed libldap endless looping (ITS#7035)
	Fixed libldap TLS to not check hostname when using 'allow' (ITS#7014)
	Fixed libldap GnuTLS cert dn parse (ITS#7051)
	Fixed libldap MozNSS correctly destroy SSL_PeerCertificate (ITS#6980)
	Fixed libldap MozNSS with issuer expiration and verify never (ITS#6998)
	Fixed libldap MozNSS memory leak (ITS#7001)
	Fixed libldap MozNSS allow/try behavior (ITS#7002)
	Fixed libldap MozNSS to be thread safe (ITS#7022)
	Fixed libldap MozNSS SSL_ForceHandshake to use a mutex (ITS#7034)
	Fixed libldap MozNSS with wildcard certs (ITS#7006)
	Fixed liblutil MD5 initialization (ITS#6982)
	Fixed slapadd common code into slapcommon (ITS#6737)
	Fixed slapd backend connection initialization (ITS#6993)
	Fixed slapd frontend DB parsing in cn=config (ITS#7016)
	Fixed slapd hang with {numbered} overlay insertion (ITS#7030)
	Fixed slapd inet_ntop usage (ITS#6925)
	Fixed slapd cn=config deletion of bitmasks (ITS#7083)
	Fixed slapd cn=config modify replace/delete crash (ITS#7065)
	Fixed slapd schema UTF8StringNormalize with 0 length values (ITS#7059)
	Fixed slapd with dynamic acls for cn=config (ITS#7066)
	Fixed slapd response callbacks (ITS#6059,ITS#7062)
	Fixed slapd no_connection warnings with ldapi (ITS#6548,ITS#7092)
	Fixed slapd return code processing (ITS#7060)
	Fixed slapd sl_malloc various issues (ITS#6437)
	Fixed slapd startup behavior (ITS#6848)
	Fixed slapd syncrepl crash with non-replicated ops (ITS#6892)
	Fixed slapd syncrepl with modrdn (ITS#7000,ITS#6472)
	Fixed slapd syncrepl timeout when using refreshAndPersist (ITS#6999)
	Fixed slapd syncrepl deletes need a non-empty CSN (ITS#7052)
	Fixed slapd syncrepl glue for empty suffix (ITS#7037)
	Fixed slapd results cleanup (ITS#6763,ITS#7053)
	Fixed slapd validation of args for TLSCertificateFile (ITS#7012)
	Fixed slapd-bdb/hdb to build entry DN based on parent DN (ITS#5326)
	Fixed slapd-hdb with zero-length entries (ITS#7073)
	Fixed slapd-hdb duplicate entries in subtree IDL cache (ITS#6983)
	Fixed slapo-constraint conversion to back-config (ITS#6986)
	Fixed slapo-dds tag in refresh response (ITS#6886)
	Fixed slapo-dds TTL tolerance (ITS#7017)
	Fixed slapo-lastbind so authTimestamp is manageable (ITS#6873)
	Fixed slapo-pcache response cleanup (ITS#6981)
	Fixed slapo-ppolicy pwdAllowUserChange behavior (ITS#7021)
	Fixed slapo-sssvlv issue with greaterThanorEqual (ITS#6985)
	Fixed slapo-sssvlv to only return requested attrs (ITS#7061)
	Fixed slapo-syncprov DSA attribute filtering for Persist mode (ITS#7019)
	Fixed slapo-syncprov when consumer has newer state of our SID (ITS#7040)
	Fixed slapo-syncprov crash (ITS#7025)
	Fixed slapo-unique URI checking of "host" portion (ITS#7018)
	Fixed contrib/autogroup double-free (ITS#6972)
	Fixed contrib/smbk5pwd cn=config deletion of bitmasks (ITS#7083)
	Fixed contrib/smbk5pwd on 64-bit systems (ITS#7082)
	Build Environment
		Added missing LDIF form of schema files (ITS#7063)
		Fixed build for Solaris native compilers (ITS#6992)
		Fixed creation and installation of slapd.ldif (ITS#7015)
		Fixed libnet linking (ITS#7071)
	Documentation
		admin24 Fix table numbering (ITS#7003)
		slapd.conf(5) Fixed TLSCACertificateFile information (ITS#7023)
		ldapmodify(1) Fixed minor typo in -S option description (ITS#7086)
		ldap_sync(3) Document ldap_sync_destroy (ITS#7028)
		slapo-unique(5) Fix keyword quoting (ITS#7028)

OpenLDAP 2.4.26 Release (2011/06/30)
	Added libldap LDAP_OPT_X_TLS_PACKAGE (ITS#6969)
	Fixed libldap MozNSS with CACertDir (ITS#6975)
	Fixed libldap MozNSS with PR_SetEnv (ITS#6862)
	Fixed libldap descriptor leak (ITS#6929)
	Fixed libldap socket leak (ITS#6930)
	Fixed libldap get option crash (ITS#6931)
	Fixed libldap lockup (ITS#6898)
	Fixed libldap ASYNC TLS setup (ITS#6828)
	Fixed libldap with missing \n terminations (ITS#6947)
	Fixed tools double free (ITS#6946)
	Fixed tools verbose output (ITS#6977)
	Fixed ldapmodify SEGV on invalid LDIF (ITS#6978)
	Added slapd extra_attrs database option (ITS#6513)
	Fixed slapd asserts (ITS#6932)
	Fixed slapd configfile param on windows (ITS#6933)
	Fixed slapd config with global chaining (ITS#6843)
	Fixed slapd uninitialized variables (ITS#6935)
	Fixed slapd config objectclass is readonly (ITS#6963)
	Fixed slapd entry response with control (ITS#6899)
	Fixed slapd with unknown attrs (ITS#6819)
	Fixed slapd normalization of schema RDN (ITS#6967)
	Fixed slapd operations cache to 10 op limit (ITS#6944)
	Fixed slapd syncrepl crash with non-replicated ops (ITS#6892)
	Fixed slapd-bdb/hdb with sparse index ranges (ITS#6961)
	Fixed slapd-monitor stray code cleanup (ITS#6974)
	Fixed back-ldap ppolicy updates (ITS#6711)
	Fixed back-ldap with id-assert (ITS#6817)
	Fixed slapd-meta reentry issues (ITS#6909)
	Fixed slapd-sql length of data type (ITS#6657,ITS#6691)
	Added slapo-accesslog filter matching (ITS#6815)
	Fixed slapo-accesslog with invalid attrs (ITS#6819)
	Added slapo-auditlog connID and peername logging (ITS#6936)
	Fixed slapo-memberof with accesslog (ITS#6329,ITS#6766,ITS#6915)
	Fixed slapo-pcache with unknown attrs (ITS#6823)
	Fixed slapo-pcache with '1.1', '+', and '*' attrs (ITS#6950)
	Fixed slapo-pcache buffersize issues (ITS#6951)
	Fixed slapo-pcache refresh (ITS#6953)
	Fixed slapo-pcache with pCacheBind (ITS#6954)
	Fixed slapo-pcache database corruption (ITS#6831)
	Fixed slapo-rwm with attributes with no equality rule (ITS#6943)
	Fixed slapo-sssvlv limits check when global (ITS#6973)
	Fixed slapo-syncprov with replicated subtrees (ITS#6872)
	Fixed slapo-unique with managedsait (ITS#6641)
	Fixed slapo-unique filter with zero-length values (ITS#6901)
	Added contrib/acl GSS naming extensions ACL module
	Fixed contrib/smbk5pwd with shadowLastChange (ITS#6955)
	Build Environment
		Fixed builds that do not have GETTIMEOFDAY (ITS#6885)
		Fixed libldap libfetch dependancy (ITS#6889)
	Documentation
		ldap_get_dn(3) add man page (ITS#6959)
		slapd-backends(5) update recommended database backend (ITS#6904)
		slapd-bdb(5) update recommended database backend (ITS#6904)
		slapd-hdb(5) update recommended database backend (ITS#6904)
		slapo-nssov(5) Fixed typo (ITS#6934)
		admin24 update that cn=config is preferred (ITS#6905)
		admin24 update information about indexes (ITS#6906)
		admin24 fix --enable-wrappers option (ITS#6971)
		admin24 fix typos (ITS#8562)
		admin24 fix replication sections to include back-mdb (ITS#8563)

OpenLDAP 2.4.25 Release (2011/03/26)
	Fixed ldapsearch pagedresults loop (ITS#6755)
	Fixed tools for incompatible args (ITS#6849)
	Fixed libldap MozNSS crash (ITS#6863)
	Fixed slapd add objectclasses in order (ITS#6837)
	Added slapd ordering for uidNumber and gidNumber (ITS#6852)
	Fixed slapd segfault when adding values out of order (ITS#6858)
	Fixed slapd sortval handling (ITS#6845)
	Fixed slapd-bdb with slapadd/index quick option (ITS#6853)
	Fixed slapd-ldap chain cn=config support (ITS#6837)
	Fixed slapd-ldap chain with slapd.conf (ITS#6857)
	Fixed slapd-meta deadlock (ITS#6846)
	Fixed slapo-sssvlv with multiple requests (ITS#6850)
	Fixed contrib/lastbind install rules (ITS#6238)
	Fixed contrib/cloak install rules (ITS#6877)
	Build Environment
		Fixed windows NT threads build (ITS#6859)
		Fixed libldap/lberl/util if/else usage (ITS#6832)
		Fixed Windows odbc32 detection (ITS#6125)
		Fixed Windows msys build (ITS#6870)
		Fixed test020 exit codes (ITS#6404)
	Documentation
		admin24 guide ldapi usage (ITS#6839)
		admin24 guide conversion notes (ITS#6834)
		admin24 guide fix drawback math for syncrepl (ITS#6866)
		admin24 guide note manpages are definitive (ITS#6855)

OpenLDAP 2.4.24 Release (2011/02/10)
	Added LDIF line wrapping setting (ITS#6645)
	Added MozNSS support (ITS#6714,ITS#6742,ITS#6790,ITS#6791)
	Added MozNSS support (ITS#6802,ITS#6811,ITS#6816,ITS#5696)
	Added libldap cert x500UniqueIdentifier handling (ITS#6741)
	Added libldap_r,libldap formal concurrency API (ITS#6625,ITS#5421)
	Added slapadd attribute value checking (ITS#6592)
	Added slapcat continue mode for problematic DBs (ITS#6482)
	Added slapd syncrepl suffixmassage support (ITS#6781)
	Added slapd multiple listener threads (ITS#6780)
	Added slapd extensible match for ordering rules (ITS#6532)
	Added slapd-meta paged results control forwarding (ITS#6664)
	Added slapd-meta subtree-include support (ITS#6801)
	Added slapd-null back-config support (ITS#6624)
	Added slapd-sql autocommit support (ITS#6612)
	Added slapd-sql support for long long keys (ITS#6617)
	Added slapo-sssvlv multiple sorts per connection (ITS#6686)
	Added contrib/autogroup LDAP URI with attribute filter (ITS#6536)
	Added contrib/dupent module (ITS#6630)
	Added contrib/lastbind (ITS#6238)
	Added contrib/kinit for kerberos tickets
	Added contrib/noopsrch for entry counting (ITS#6598)
	Fixed client tools control logging (ITS#6775)
	Fixed client tools one time leak (ITS#6778)
	Fixed liblber to not close invalid sockets (ITS#6585)
	Fixed liblber unmatched brace handling (ITS#6764)
	Fixed liblber error setting (ITS#6732)
	Fixed liblber memory debugging (ITS#6733)
	Fixed libldap connectionless warnings (ITS#6747)
	Fixed libldap dnssrv port format specifier (ITS#6644)
	Fixed libldap EOF handling (ITS#6723)
	Fixed libldap GnuTLS hang on socket close (ITS#6673)
	Fixed libldap sasl partial write handling (ITS#6639)
	Fixed libldap search leak (ITS#6453)
	Fixed libldap referral chasing (ITS#6602)
	Fixed libldap leak when chasing referrals (ITS#6744)
	Fixed libldap url parsing with NULL host (ITS#6653)
	Fixed libldap ldap_open_internal_connection (ITS#6788)
	Fixed libldap sync checking for BER errors (ITS#6738)	
	Fixed libldap variable usage (ITS#6813)
	Fixed liblutil getpass prompts (ITS#6702)
	Fixed ldapsearch segfault with deref (ITS#6638)
	Fixed ldapsearch multiple controls parsing (ITS#6651)
	Fixed slapd SlapReply usage (ITS#6758)
	Fixed slapd acl parsing overflow (ITS#6611)
	Fixed slapd acl when resuming parsing (ITS#6804)
	Fixed slapd Compare operation (ITS#6753)
	Fixed slapd default config acls with overlays (ITS#6822)
	Fixed slapd assert control (ITS#5862)
	Fixed slapd assertions and debugging (ITS#6759)
	Fixed slapd config leak with olcDbDirectory (ITS#6634)
	Fixed slapd connectionless warnings (ITS#6747)
	Fixed slapd listeners destruction (ITS#6736)
	Fixed slapd to free controls if needed (ITS#6629)
	Fixed slapd to stop if given unknown options (ITS#6754)
	Fixed slapd filter leak (ITS#6635)
	Fixed slapd matching rules for strict ordering (ITS#6722)
	Fixed slapd when first acl is value dependent (ITS#6693)
	Fixed slapd modify to return actual error (ITS#6581)
	Fixed slapd modrdn with empty DN (ITS#6768)
	Fixed slapd c_authz_backend setting (ITS#6824)
	Fixed slapd sortvals of attributes with 1 value (ITS#6715)
	Fixed slapd syncrepl reuse of presence list (ITS#6707)
	Fixed slapd syncrepl uninitialized return code (ITS#6719)
	Fixed slapd syncrepl variable initialization (ITS#6739)
	Fixed slapd syncrepl refresh to use complete cookie (ITS#6807)
	Fixed slapd-bdb hasSubordinates generation (ITS#6712)
	Fixed slapd-bdb entry cache delete failure (ITS#6577)
	Fixed slapd-bdb entry cache leak on multi-core systems (ITS#6660)
	Fixed slapd-bdb error propagation to overlays (ITS#6633)
	Fixed slapd-bdb slapadd -q with glued dbs (ITS#6794)
	Fixed slapd-ldap debug output of timeout (ITS#6721)
	Fixed slapd-ldap DNSSRV referral chaining (ITS#6565)
	Fixed slapd-ldap chaining with bind failures (ITS#6607)
	Fixed slapd-ldap chaining with onelevel scope (ITS#6699)
	Fixed slapd-ldap chaining with ppolicy (ITS#6540)
	Fixed slapd-ldap with SASL/EXTERNAL (ITS#6642)
	Fixed slapd-ldap crasher on matchedDN (ITS#6793)
	Fixed slapd-ldap with unknown objectClasses (ITS#6814)
	Fixed slapd-ldif error strings (ITS#6731)
	Fixed slapd-ndb to honor rootpw setting (ITS#6661)
	Fixed slapd-ndb hasSubordinates generation (ITS#6712)
	Fixed slapd-ndb variable initialization (ITS#6806)
	Fixed slapd-ndb with out of order attributes (ITS#6821)
	Fixed slapd-meta anon retry with failed auth method (ITS#6643)
	Fixed slapd-meta rebind proc (ITS#6665)
	Fixed slapd-meta to correctly rebind as user (ITS#6574)
	Fixed slapd-meta with SASL/EXTERNAL (ITS#6642)
	Fixed slapd-meta matchedDN return code (ITS#6774)
	Fixed slapd-meta candidate selection (ITS#6799)
	Fixed slapd-meta attribute normalization (ITS#6818)
	Fixed slapd-monitor hasSubordinates generation (ITS#6712)
	Fixed slapd-monitor abandon processing (ITS#6783)
	Fixed slapd-monitor entry locks (ITS#6787)
	Fixed slapd-sock missing newline in Compare operation (ITS#6809)
	Fixed slapd-sql with null objectClass (ITS#6616)
	Fixed slapd-sql hasSubordinates generation (ITS#6712)
	Fixed slapo-accesslog with controls (ITS#6652)
	Fixed slapo-dynlist Compare operation (ITS#6752)
	Fixed slapo-dynlist entry handling (ITS#6752)
	Fixed slapo-memberof CSN generation (ITS#6766)
	Fixed slapo-memberof log messages (ITS#6748)
	Fixed slapo-memberof with an empty groupOfNames (ITS#6670)
	Fixed slapo-memberof with modrdn operations (ITS#6700)
	Fixed slapo-pcache callback freeing (ITS#6640)
	Fixed slapo-pcache to ignore undefined attrs (ITS#6600)
	Fixed slapo-pcache pointer freeing (ITS#6797)
	Fixed slapo-pcache with negative caching (ITS#6796)
	Fixed slapo-pcache monitoring cleanup (ITS#6808)
	Fixed slapo-ppolicy don't update opattrs on consumers (ITS#6608)
	Fixed slapo-ppolicy to allow userPassword deletion (ITS#6620)
	Fixed slapo-refint when last group member is deleted (ITS#6663)
	Fixed slapo-refint with subtree rename (ITS#6730)
	Fixed slapo-rwm double free (ITS#6720)
	Fixed slapo-rwm crasher (ITS#6632,ITS#6727)
	Fixed slapo-rwm entry handling (ITS#6760)
	Fixed slapo-rwm response hang (ITS#6792)
	Fixed slapo-sssvlv initialization (ITS#6649)
	Fixed slapo-sssvlv to not advertise when unused (ITS#6647)
	Fixed slapo-sssvlv result code (ITS#6685)
	Fixed slapo-syncprov to send error if consumer is newer (ITS#6606)
	Fixed slapo-syncprov filter race condition (ITS#6708)
	Fixed slapo-syncprov active mod race (ITS#6709)
	Fixed slapo-syncprov to refresh if context is dirty (ITS#6710)
	Fixed slapo-syncprov CSN updates to all replicas (ITS#6718)
	Fixed slapo-syncprov sessionlog ordering (ITS#6716)
	Fixed slapo-syncprov sessionlog with adds (ITS#6503)
	Fixed slapo-syncprov mutex (ITS#6438)
	Fixed slapo-syncprov mincsn check with MMR (ITS#6717)
	Fixed slapo-syncprov control leak (ITS#6795)
	Fixed slapo-syncprov error codes (ITS#6812)
	Fixed slapo-translucent entry leak (ITS#6746)
	Fixed contrib/autogroup install location (ITS#6684)
	Fixed contrib/autogroup crash with ppolicy (ITS#6684)
	Fixed contrib/autogroup with non-DN URIs (ITS#6684)
	Fixed contrib/autogroup with memberOf overlay (ITS#6684)
	Fixed contrib/cloak when returning multiple entries (ITS#6762)
	Fixed contrib/nssov to only close socket on shutdown (ITS#6676)
	Fixed contrib/nssov multi platform support (ITS#6604)
	Build Environment
		Added support for [unsigned] long long (ITS#6622)
		Added slapd support for BDB 5.0+ (ITS#6698)
		Fixed config.guess/sub to pick up newer OSes (ITS#6547)
		Fixed libldap mutex code - cleanup (ITS#6672)
		Fixed libldap unnecessary ifdef's (ITS#6603)
		Fixed slapd-tester EOF handling (ITS#6723)
		Fixed slapd-tester filter initialization (ITS#6735)
		Fixed test scripts with alternate testdir (ITS#6782)
		Removed antiquated SunOS LWP support (ITS#6669)
	Documentation
		admin24 guide fix examples (ITS#6681)
		admin24 guide typo fixes (ITS#6609)
		admin24 guide refint rootdn requirement (ITS#6364)
		admin24 add pcache overlay section (ITS#6521)
		ldap_open(3) document ldap_set_urllist_proc (ITS#6601)
		ldap.conf(5) GnuTLS cipher spec info (ITS#6525)
		slapd.conf(5) GnlTLS cipher spec info (ITS#6525)
		slapd.conf(5) multi-listener support (ITS#6780)
		slapd-config(5) GnuTLS cipher spec info (ITS#6525)
		slapd-config(5) multi-listener support (ITS#6780)
		slapd-meta(5) note deprecated items (ITS#6800)
		slapd-meta(5) document subtree-include (ITS#6801)
		slapo-pcache(5) note rootdn requirement (ITS#6522)
		slapo-refint(5) rootdn requirement (ITS#6364)

OpenLDAP 2.4.23 Release (2010/06/30)
	Fixed libldap to return server's error code (ITS#6569)
	Fixed libldap memleaks (ITS#6568)
	Fixed liblutil off-by-one with delta (ITS#6541)
	Fixed slapd acls with glued databases (ITS#6468)
	Fixed slapd syncrepl rid logging (ITS#6533)
	Fixed slapd modrdn handling of invalid values (ITS#6570)
	Fixed slapd-bdb hasSubordinates computation (ITS#6549)
	Fixed slapd-bdb to use memcpy instead for strcpy (ITS#6474)
	Fixed slapd-bdb entry cache delete failure (ITS#6577)
	Fixed slapd-ldap to return control responses (ITS#6530)
	Fixed slapo-ppolicy to use Debug (ITS#6566)
	Fixed slapo-refint to zero out freed DN vals (ITS#6572)
	Fixed slapo-rwm to use Debug (ITS#6566)
	Fixed slapo-sssvlv to use Debug (ITS#6566)
	Fixed slapo-syncprov lost deletes in refresh phase (ITS#6555)
	Fixed slapo-valsort to use Debug (ITS#6566)
 	Fixed contrib/nssov network.c missing patch (ITS#6562)
	Build Environment
		Fixed test043 attribute sorting (ITS#6553)
	Documentation
	        slapd-config(5) note default rootdn (ITS#6546)

OpenLDAP 2.4.22 Release (2010/04/24)
	Added slapd SLAP_SCHEMA_EXPOSE flag for hidden schema elements (ITS#6435)
	Added slapd tools selective iterations (ITS#6442)
	Added slapd syncrepl TCP keepalive (ITS#6389)
	Added slapo-ldap idassert-passthru (ITS#6456)
	Added slapo-pbind
	Fixed libldap gmtime re-entrancy (ITS#6262)
	Fixed libldap gssapi off by one error (ITS#6223)
	Fixed libldap GnuTLS serial length (ITS#6460)
	Fixed libldap MozNSS context and PEM support (ITS#6432)
	Fixed libldap referral on bind behavior(ITS#6510)
	Fixed slapd acl non-entry internal searches (ITS#6481)
	Fixed slapd acl attrval style initialization (ITS#6520)
	Fixed slapd certificateListValidate (ITS#6466)
	Fixed slapd empty URI parsing (ITS#6465)
	Fixed slapd glued misplaced entries (ITS#6506)
	Fixed slapd glued paged cookies (ITS#6507)
	Fixed slapd glued paged results (ITS#6504)
	Fixed slapd gmtime re-entrancy (ITS#6262)
	Fixed slapd to ignore controls with unrecognized flags (ITS#6480)
	Fixed slapd entry ownership (ITS#5340)
	Fixed slapd sasl auxprop_lookup (ITS#6441)
	Fixed slapd sasl auxprop ssf (ITS#5195)
	Fixed slapd syncrepl for attributes with no matching rule (ITS#6458)
	Fixed slapd syncrepl for unknown attrs and delta-sync (ITS#6473)
	Fixed slapd syncrepl loop with moddn (ITS#6472)
	Fixed slapo-accesslog to not replicate internal purges (ITS#6519)
	Fixed slapd-bdb contextCSN updates from updatedn (ITS#6469)
	Fixed slapd-bdb lockobj zeroing (ITS#6501)
	Fixed slapd-ldap/meta control criticality (ITS#6523)
	Fixed slapd-ldap/meta with ordered values (ITS#6516)
	Fixed slapo-collect entry ownership (ITS#5340,ITS#6423)
	Fixed slapo-dds with NULL backend (ITS#6490)
	Fixed slapo-dynlist entry ownership (ITS#5340,ITS#6423)
	Fixed slapo-memberof attr count (ITS#6508)
	Fixed slapo-pcache to release its own entries (ITS#6484)
	Fixed slapo-pcache with NULL backend (ITS#6490)
	Fixed slapo-rwm entry release handling (ITS#6484)
	Fixed slapo-rwm memory handling with rewrites (ITS#6526)
	Fixed slapo-rwm olcRwmMap handling (ITS#6436)
	Fixed slapo-rwm entry ownership (ITS#5340,ITS#6423)
	Fixed slapo-syncprov memory leak (ITS#6459)
	Fixed slapo-translucent counter increment (ITS#6497)
	Fixed slapo-valsort entry ownership (ITS#5340,ITS#6423)	
	Fixed contrib/sha2 adds mechs for more hashes (ITS#6433)
	Fixed contrib/nssov to use nss-pam-ldapd (ITS#6488)
	Build Environment
		Added back-ldif, back-null test support (ITS#5810)
	Documentation
		admin24 avoid explicit moduleload statements (ITS#6486)
		admin24 broken link fixes (ITS#6493,ITS#6515)
	        slapd.access(5) val.regex explanation (ITS#5804)

OpenLDAP 2.4.21 Release (2009/12/20)
	Fixed liblutil for negative microsecond offsets (ITS#6405)
	Fixed slapd global settings to work without restart (ITS#6428)
	Fixed slapd looping with SSL/TLS connections (ITS#6412)
	Fixed slapd syncrepl freeing tasks from queue (ITS#6413)
	Fixed slapd syncrepl parsing of tls defaults (ITS#6419)
	Fixed slapd syncrepl uninitialized variables (ITS#6425)
	Fixed slapd-config Adds with Abstract classes (ITS#6408)
	Fixed slapo-dynlist behavior with simple filters (ITS#6421)
	Fixed slapd-ldif access outside database directory (ITS#6414)
	Fixed slapd-null extraneous assert (ITS#6403)
	Fixed slapo-translucent with back-null (ITS#6403)
	Fixed slapo-unique criteria checking (ITS#6270)
	Build Environment
		Deleted broken LBER_INVALID macro (ITS#6402)
		Fixed test058 kill usage (ITS#6420)
		Fixed meta regression test (ITS#6418)
	Documentation
		slapd-meta(5) Note deprecated functions (ITS#6424)
		admin24 fix set example for group of groups (ITS#6382)
		admin24 fix dynamic group documentation (ITS#6290)

OpenLDAP 2.4.20 Release (2009/11/27)
	Fixed client tools with LDAP options (ITS#6283)
	Fixed liblber embedded NUL values in BerValues (ITS#6353)
	Fixed liblber inverted LBER_USE_DER test (ITS#6348)
	Fixed liblber to return failure on certain failures (ITS#6344)
	Fixed libldap connection initialization (ITS#6386)
	Fixed libldap sasl buffer sizing (ITS#6327,ITS#6334)
	Fixed libldap uninitialized return value (ITS#6355)
	Fixed libldap unlimited timeout (ITS#6388)
	Added slapd handling of hex server IDs (ITS#6297)
	Added slapd syncrepl contextCSN storing in subentry (ITS#6373)
	Fixed slapd asserts in minimal environment (ITS#6361)
	Fixed slapd authid-rewrite parsing (ITS#6392)
	Fixed slapd checks of str2filter (ITS#6391)
	Fixed slapd configArgs initialization (ITS#6363)
	Fixed slapd debug handling of LDAP_DEBUG_ANY (ITS#6324)
	Fixed slapd db_open with connection_fake_init (ITS#6381)
	Fixed slapd with embedded \0 in bervals (ITS#6378,ITS#6379)
	Fixed slapd inclusion of ac/unistd.h (ITS#6342)
	Fixed slapd invalid dn log message (ITS#6309)
	Fixed slapd lockup on shutdown (ITS#6372)
	Fixed slapd onetime leak (ITS#6398)
	Fixed slapd RID range to be decimal only (ITS#6394)
	Fixed slapd sl_free to better reclaim memory (ITS#6380)
	Fixed slapd syncrepl deletes in MirrorMode (ITS#6368)
	Fixed slapd syncrepl to use correct SID (ITS#6367)
	Fixed slapd termination for one level DNs (ITS#6338)
	Fixed slapd tls_accept to retry in certain cases (ITS#6304)
	Fixed slapd-bdb/hdb cache corruption (ITS#6341)
	Fixed slapd-bdb/hdb entry cache (ITS#6360)
	Fixed slapd-ldap leak (ITS#6326)
	Fixed slapd-relay bind segfault (ITS#6337)
	Fixed slapo-accesslog ensure CSNs are normalized (ITS#6400)
	Fixed slapo-memberof operational attr updates (ITS#6329)
	Fixed slapo-pcache entry dupe (ITS#6310)
	Fixed slapo-syncprov checkpoint conversion (ITS#6370)
	Fixed slapo-syncprov deadlock (ITS#6335)
	Fixed slapo-syncprov memory leak (ITS#6376)
	Fixed slapo-syncprov out of order changes (ITS#6346)
	Fixed slapo-syncprov psearch with stale cookie (ITS#6397)
	Build Environment
		Added additional operations for ITS#6332
		Fixed memrchr define (ITS#6351)
		Fixed slapd MAXPATHLEN handling (ITS#6342)
		Added test050 rapid add/mod/del sequence (ITS#6368)
		Fixed test057 handling of memberof/refint (ITS#6343)
		Fixed slapd test error ignoring (ITS#6345)
		Fixed liblutil constant (ITS#5909)
	Documentation
		admin24 fix RFC4511 and other references (ITS#6399)
		ldap_get_dn(3) typos (ITS#5366)
		ldap.conf(5) clarify comment usage (ITS#6384)
		slapd.conf(5) note hex server IDs (ITS#6297)
		slapd-config(5) note hex server IDs (ITS#6297)

OpenLDAP 2.4.19 Release (2009/10/06)
	Fixed client tools with null timeouts (ITS#6282)
	Fixed slapadd to warn about missing attrs for replicas (ITS#6281)
	Fixed slapd acl cache (ITS#6287)
	Fixed slapd tools to allow -n for conversion (ITS#6258)
	Fixed slapd-ldap with null timeouts (ITS#6282)
	Fixed slapd-ldap with strong binds with relay/translucent (ITS#6296)
	Fixed slapd-ldif buffer overflow (ITS#6303)
	Fixed slapo-auditlog comments when modifying (ITS#6286)
	Fixed slapo-dynlist lock leak (ITS#6308)
	Fixed slapo-pcache cache corruption (ITS#6242)
	Fixed slapo-sssvlv sort control dereferencing (ITS#6288)
	Fixed contrib/autogroup segfaults (ITS#6279)
	Fixed contrib/nssov getgroupbymembers (ITS#6291)
	Fixed contrib/smbk5pwd rpath linking (ITS#6323)
	Build Environment
		Fixed --enable-deref support (ITS#6311)
		Fixed contrib/autogroup default libtool path (ITS#6284)
		Deleted nadf.schema (ITS#6140)

OpenLDAP 2.4.18 Release (2009/09/06)
	Fixed client tools common options (ITS#6049)
	Fixed liblber speed and other problems (ITS#6215)
	Added libldap MozNSS PEM support (ITS#6278)
	Added libldap option for SASL_USERNAME (ITS#6257)
	Fixed libldap error parsing (ITS#6197)
	Fixed libldap native getpass usage (ITS#4643)
	Fixed libldap tls_check_hostname for OpenSSL and MozNSS (ITS#6239)
	Added slapd tcp buffers support (ITS#6234)
	Fixed slapd allow mirrormode to be set to FALSE (ITS#5946)
	Fixed slapd certificate list parsing (ITS#6241)
	Fixed slapd writers blocking (ITS#6276)
	Fixed slapd dncachesize behavior to unlimited by default (ITS#6222)
	Fixed slapd incorrectly applying writetimeout when not set (ITS#6220)
	Fixed slapd with duplicate empty lines for olcDbConfig (ITS#6240)
	Fixed slapd server URL matching (ITS#5942)
	Fixed slapd subordinate needs a suffix (ITS#6216)
	Fixed slapd syncrepl decrement on possible NULL value (ITS#6256)
	Fixed slapd tools to properly close database (ITS#6214)
	Fixed slapd uninitialized SlapReply components (ITS#6101)
	Fixed slapd-meta starttls with targets (ITS#6190)
	Fixed slapd-monitor stats with glued subordinates (ITS#6243)
	Fixed slapd-ndb startup (ITS#6203)
	Fixed slapd-relay various issues (ITS#6133)
	Fixed slapd-relay response/cleanup callback mismatch (ITS#6154)
	Fixed slapd-sql with baseObject query (ITS#6172)
	Fixed slapd-sql with empty attribute (ITS#6163)
	Fixed slapo-dynlist uninitialized var (ITS#6266)
	Fixed slapo-pcache multiple enhancements (ITS#6152,ITS#5178)
	Fixed slapo-ppolicy updating operational attributes (ITS#6265)
	Fixed slapo-translucent attribute return (ITS#6254)
	Fixed slapo-translucent filter matching (ITS#6255)
	Fixed slapo-translucent to honor sizelimit (ITS#6253)
	Fixed slapo-unique filter matching (ITS#6077)
	Fixed tools off by one error (ITS#6233)
	Fixed tools resource leaks (ITS#6145)
	Added contrib/allowed (ITS#4730)
	Fixed contrib/autogroup with RE24 (ITS#6227)
	Fixed contrib/nss symbols (ITS#6273)
	Build Environment
		Tests note which backend is being tested (ITS#5810)
		Fixed test056-monitor with custom ports (ITS#6213)
	Documentation
		admin24 fix broken link (ITS#6264)
		ldap_open(3) document URI (ITS#6261)
		ldap_set/get_option(3) SASL/TLS options added (ITS#6260)
		man page format updates (ITS#6023)

OpenLDAP 2.4.17 Release (2009/07/13)
	Fixed liblber to use ber_strnlen (ITS#6080)
	Fixed libldap GnuTLS private key init (ITS#6053)
	Fixed libldap openssl digest initialization (ITS#6192)
	Fixed libldap tls NULL error messages (ITS#6079)
	Fixed libldap_r missing stub (ITS#6188)
	Fixed liblutil opendir/closedir on windows (ITS#6041)
	Fixed liblutil for _GNU_SOURCE (ITS#5464,ITS#5666)
	Added slapd sasl auxprop support (ITS#6147)
	Added slapd schema checking tool (ITS#6150)
	Added slapd writetimeout keyword (ITS#5836)
	Fixed slapd abandon/cancel handling for some ops (ITS#6157)
	Fixed slapd access setstyle to expand (ITS#6179)
	Fixed slapd assert with closing connections (ITS#6111)
	Fixed slapd bind race condition (ITS#6189)
	Fixed slapd cancel behavior (ITS#6137)
	Fixed slapd cert validation (ITS#6098)
	Fixed slapd connection_destroy assert (ITS#6089)
	Fixed slapd csn normalization (ITS#6195)
	Fixed slapd errno handling (ITS#6037)
	Fixed slapd global alloc handling (ITS#6054)
	Fixed slapd hung writers (ITS#5836)
	Fixed slapd ldapi issues (ITS#6056)
	Fixed slapd moduleload with static backends and modules (ITS#6016)
	Fixed slapd normalization of updated schema attributes (ITS#5540)
	Fixed slapd olcLimits handling (ITS#6159)
	Fixed slapd olcLogLevel with hex levels (ITS#6162)
	Fixed slapd pagedresults stacked control with overlays (ITS#6056)
	Fixed slapd password-hash incorrect limit on arg length (ITS#6139)
	Fixed slapd readonly restrictions (ITS#6109)
	Fixed slapd sending cancelled operations results (ITS#6103)
	Fixed slapd slapi_entry_has_children (ITS#6132)
	Fixed slapd sockets usage on windows (ITS#6039)
	Fixed slapd some abandon and cancel race conditions (ITS#6104)
	Fixed slapd tls context after changes (ITS#6135)
	Fixed slapd-bdb/hdb adjust dncachesize if too low (ITS#6176)
	Fixed slapd-bdb/hdb crashes during delete (ITS#6177)
	Fixed slapd-bdb/hdb multiple olcIndex for same attr (ITS#6196)
	Fixed slapd-hdb freeing of already freed entries (ITS#6074)
	Fixed slapd-hdb entryinfo cleanup (ITS#6088)
	Fixed slapd-hdb dncache lockups (ITS#6095)
	Fixed slapd-ldap deadlock with non-responsive TLS URIs (ITS#6167)
	Fixed slapd-relay to return failure on failure (ITS#5328)
	Fixed slapd-sql with BACKSQL_ARBITRARY_KEY defined (ITS#6100)
	Fixed slapo-collect collectinfo ordering (ITS#6076)
	Fixed slapo-collect missing equality match rule (ITS#6075)
	Fixed slapo-dds entry expiration (ITS#6169)
	Fixed slapo-perl symbols (ITS#5658)
	Fixed slapo-ppolicy to honor pwdLockout (ITS#6168)
	Fixed slapo-ppolicy to return check modules error message (ITS#6082)
	Fixed slapo-refint refint_repair handling (ITS#6056)
	Added slapo-rwm rwm-drop-unrequested-attrs config option (ITS#6057)
	Fixed slapo-rwm dn passing (ITS#6070)
	Fixed slapo-rwm entry free (ITS#6058)
	Fixed slapo-rwm entry release (ITS#6081)
	Fixed slapo-translucent entry gathering (ITS#6156)
	Fixed tools returning ldif errors (ITS#5892)
	Fixed contrib/smbk5pwd use of private functions (ITS#5535)
	Build Environment
		Added test056-monitor (ITS#5540)
		Added test057-memberof-refint (ITS#5395)
		Fixed winsock detection for windows (ITS#6102, ITS#6078)
		Removed GSSAPI configure option (ITS#6091,ITS#6092,ITS#6093,ITS#5369)
	Documentation
		admin24 relocate configuration examples (ITS#6183)
		admin24 fixed example regex (ITS#6052)
		admin24 removed temporary back-monitor note (ITS#6130)
		admin24 slapd.conf to cn=config conversion process (ITS#6060)
		man page consistency fixes (ITS#6023)
		ldapcompare(1) note -e option (ITS#6107)
		ldapdelete(1) note -e option (ITS#6107)
		ldapmodify(1) note -e option (ITS#6107)
		ldapmodrdn(1) note -e option (ITS#6107)
		ldapsearch(1) output format description (ITS#6146)
		ldapurl(1) note -e option (ITS#6107)
		ldapwhoami(1) note -e option (ITS#6107)
		ldap_result(3) Add RETURN VALUE heading (ITS#6180)
		ldap.conf(5) improve sizelimit/timelimit limits (ITS#6127)
		slapd.access(5) Fix <setstyle> to use expand (ITS#6179)
		slapd.conf(5) document default modulepath (ITS#5829)
		slapd.conf(5) pidfile/argsfile description fix (ITS#5975)
		slapd-config(5) document default modulepath (ITS#5829)
		slapd-config(5) pidfile/argsfile description fix (ITS#5975)
		slapo-constraint(5) clarify URI example (ITS#6118)
		slapo-unique(5) explicitly note rootdn requirement (ITS#6108)
		slapadd(8) note it does indexing (ITS#6160)

OpenLDAP 2.4.16 Release (2009/04/05)
	Fixed libldap GnuTLS with x509v1 CA certs (ITS#5992)
	Fixed libldap GnuTLS with CA chains (ITS#5991)
	Fixed libldap GnuTLS TLSVerifyClient try (ITS#5981)
	Fixed libldap segfault in checking cert/DN (ITS#5976)
	Fixed libldap peer cert double free (ITS#5849)
	Fixed libldap referral chasing (ITS#5980)
	Fixed slapd backglue with empty DBs (ITS#5986)
	Fixed slapd ctxcsn race condition (ITS#6001)
	Fixed slapd debug message (ITS#6027)
	Fixed slapd redundant module loading (ITS#6030)
	Fixed slapd schema_init freed value (ITS#6036)
	Fixed slapd syncrepl newCookie sync messages (ITS#5972)
	Fixed slapd syncrepl hang during shutdown (ITS#6011)
	Fixed slapd syncrepl too many MMR messages (ITS#6020)
	Fixed slapd syncrepl skipped entries with MMR (ITS#5988)
	Fixed slapd-bdb/hdb cachesize handling (ITS#5860)
	Fixed slapd-bdb/hdb with slapcat with empty dn (ITS#6006)
	Fixed slapd-bdb/hdb with NULL transactions (ITS#6012)
	Fixed slapd-ldap incorrect referral handling (ITS#6003,ITS#5916)
	Fixed slapd-ldap/meta with broken AD results (ITS#5977)
	Fixed slapd-ldap/meta with invalid attrs again (ITS#5959)
	Fixed slapo-accesslog interaction with ppolicy (ITS#5979)
	Fixed slapo-dynlist conversion to cn=config (ITS#6002)
	Fixed slapo-syncprov newCookie sync messages (ITS#5972)
	Fixed slapd-syncprov too many MMR messages (ITS#6020)
	Fixed slapo-syncprov replica lockout (ITS#5985)
	Fixed slapo-syncprov modtarget tracking (ITS#5999)
	Fixed slapo-syncprov multiple CSN propagation (ITS#5973)
	Fixed slapo-syncprov race condition (ITS#6045)
	Fixed slapo-syncprov sending cookies without CSN (ITS#6024)
	Fixed slapo-syncprov skipped entries with MMR (ITS#5988)
	Fixed tools passphrase free (ITS#6014)
	Build Environment
		Cleaned up alloc/free functions for Windows (ITS#6005)
		Fixed running of autosave files in testsuite (ITS#6026)
	Documentation
		admin24 clarified MMR URI requirements (ITS#5942,ITS#5987)
		Added ldapexop(1) manual page (ITS#5982)
		slapd-ldap/meta(5) added missing TLS options (ITS#5989)

OpenLDAP 2.4.15 Release (2009/02/24)
	Fixed libldap alias dereferencing in C API again (ITS#5916)
	Fixed libldap GnuTLS compilation (ITS#5955)
	Fixed slapd bconfig conversion again (ITS#5346)
	Fixed slapd behavior with superior objectClasses again (ITS#5517)
	Fixed slapd RFC4512 behavior with same attr in RDN (ITS#5968)
	Fixed slapd corrupt contextCSN (ITS#5947)
	Fixed slapd syncrepl order to match on add/delete (ITS#5954)
	Fixed slapd adding rdn with other values (ITS#5965)
	Fixed slapd-bdb/hdb behavior with unallocatable shm (ITS#5956)
	Fixed slapd-ldap/meta with entries with invalid attrs (ITS#5959)
	Fixed slapd-relay control initialization (ITS#5724)
	Fixed slapo-pcache caching invalid entries (ITS#5927)
	Fixed slapo-syncprov csn updates (ITS#5969)
	Fixed slapo-rwm objectClass preservation (ITS#5760)
	Fixed slapo-rwm rwm_bva_rewrite handling (ITS#5960)
	Build Environment
		Fixed tester library linking for windows (ITS#5740)

OpenLDAP 2.4.14 Release (2009/02/14)
	Added libldap option to disable SASL host canonicalization (ITS#5812)
	Added libldap TLS_PROTOCOL_MIN (ITS#5655)
	Added libldap GnuTLS support for TLS_CIPHER_SUITE (ITS#5887)
	Added libldap GnuTLS setting random file (ITS#5462)
	Added libldap alias dereferencing in C API (ITS#5916)
	Fixed libldap chasing multiple referrals (ITS#5853)
	Fixed libldap deref handling (ITS#5768)
	Fixed libldap NULL pointer deref (ITS#5934)
	Fixed libldap peer cert memory leak (ITS#5849)
	Fixed libldap interaction with GnuTLS CN IP-based matches (ITS#5789)
	Fixed libldap intermediate response behavior (ITS#5896)
	Fixed libldap IPv6 address handling (ITS#5937)
	Fixed libldap_r deref building (ITS#5768)
	Fixed libldap_r slapd lockup when paused during shutdown (ITS#5841)
	Added slapd syncrepl default retry setting (ITS#5825)
	Added slapd val.regex expansion (ITS#5804)
	Added slapd TLS_PROTOCOL_MIN (ITS#5655)
	Added slapd slapi_pw_find (ITS#2615,ITS#4359)
	Added slapd compatibility with MSAD ranged values (ITS#5927)
	Fixed slapd bconfig to return error codes (ITS#5867)
	Fixed slapd bconfig encoding incorrectly (ITS#5897)
	Fixed slapd bconfig dangling pointers (ITS#5924)
	Fixed slapd behavior with superior objectClasses (ITS#5517)
	Fixed slapd connection assert (ITS#5835)
	Fixed slapd epoll handling (ITS#5886)
	Fixed slapd frontend/backend options handling (ITS#5857)
	Fixed slapd glue with MMR (ITS#5925)
	Fixed slapd logging on Windows (ITS#5392)
	Fixed slapd listener comparison (ITS#5613)
	Fixed slapd manageDSAit with glue entries (ITS#5921)
	Fixed slapd relax behavior with structuralObjectClass (ITS#5792)
	Fixed slapd syncrepl rename handling (ITS#5809)
	Fixed slapd syncrepl MMR when adding new server (ITS#5850)
	Fixed slapd syncrepl MMR with deleted entries (ITS#5843)
	Fixed slapd syncrepl replication with glued DB (ITS#5866)
	Fixed slapd syncrepl replication with moddn (ITS#5901)
	Fixed slapd syncrepl replication with referrals (ITS#5881)
	Fixed slapd syncrepl replication with config tree (ITS#5935)
	Fixed slapd wake_sds close on Windows (ITS#5855)
	Fixed slapd-bdb/hdb dncachesize handling (ITS#5860)
	Fixed slapd-bdb/hdb RFC4528 control support (ITS#5861)
	Fixed slapd-bdb/hdb trickle task usage (ITS#5864)
	Fixed slapd-hdb idlcache with empty suffix (ITS#5859)
	Fixed slapd-ldap idassert-bind validity checking (ITS#5863)
	Fixed slapd-ldap/meta RFC4525 increment support (ITS#5912)
	Fixed slapd-ldap/meta search dereferencing (ITS#5916)
	Fixed slapd-ldap/meta with intermediate response (ITS#5931)
	Fixed slapd-ldif numerous bugs (ITS#5408)
	Fixed slapd-ldif rename on same DN (ITS#5319)
	Fixed slapd-ldif deadlock (ITS#5329)
	Fixed slapd-meta double response sending (ITS#5854)
	Fixed slapd-meta alias deref for retry (ITS#5889)
	Fixed slapd-relay recursion detection (ITS#5943)
	Fixed slapd-sock descriptor leak (ITS#5939)
	Fixed slapo-accesslog on glued dbs (ITS#5907)
	Fixed slapo-dynlist handling of flags (ITS#5898)
	Fixed slapo-memberof multiple instantiation (ITS#5903)
	Fixed slapo-pcache filter sorting (ITS#5756)
	Fixed slapo-ppolicy to not be global (ITS#5858)
	Fixed slapo-rwm double free (ITS#5923)
	Fixed slapo-rwm with back-config (ITS#5906)
	Fixed slapo-rwm olcRwmRewrite modification (ITS#5940)
	Added slapo-rwm newRDN rewriting (ITS#5834)
	Added slapadd progress meter (ITS#5922)
	Updated contrib/addpartial module (ITS#5764)
	Added contrib/cloak module (ITS#5872)
	Added contrib/smbk5pwd gcrypt support (ITS#5410)
	Added contrib/passwd sha2 support (ITS#5660)
	Build Environment
		Fixed test006 appending to log file (ITS#5910)
		Fixed test036,test039 behavior on error (ITS#5893)
		Fixed test048 sed pathname substitution (ITS#5910)
		Fixed test049,test050 to work on windows (ITS#5842)
		Updated test017,test018,test019 to cover more cases (ITS#5883)
		Removed patch for BerkeleyDB 4.7.25 (Official patch available)
		Fixed MSVC 9.0 build issues (ITS#5888)
		Fixed gss detection on Solaris (ITS#5846)
		Fixed uuid_create/uuid_unparse_lower detection (ITS#5905)
		Fixed liblutil tavl_delete to macroize constants (ITS#5909)
	Documentation
		admin24 added limits chapter (ITS#5818)
		admin24 access-control clarify global ACLS (ITS#5851,ITS#5852)
		admin24 search on nested naming contexts (ITS#5788)
		admin24 consistent loglevel documentation (ITS#5904)
		slapd-bdb/hdb expansion on dncachesize behavior (ITS#5721)
		slapo-constraint(5) example fix (ITS#5895)
		slap*(8) man pages should mention slapd-config (ITS#5828)
		slapacl(8c) fix wording (ITS#5918)
		slapd(8) document sid (ITS#5873)
		slapd.access(5) clarify global ACLS (ITS#5851,ITS#5852)
		slapadd/cat/index(8) note -n 0 for slapd-config (ITS#5891)
		Added SEE ALSO slapd-config(5) to relevant man pages (ITS#5914)

OpenLDAP 2.4.13 Release (2008/11/24)
	Added libldap dereference control support (ITS#5768)
	Fixed libldap parameter checking (ITS#5817)
	Fixed liblutil hex conversion (ITS#5699)
	Fixed liblutil returning undefined data (ITS#5748)
	Fixed libldap error code return (ITS#5762)
	Fixed libldap interaction with GnuTLS CN IP-based matches (ITS#5789)
	Fixed libldap MAXHOSTNAMELEN typo (ITS#5815)
	Fixed libldap Ipv6 detection (ITS#5739)
	Fixed libldap setuid usage with .ldaprc (ITS#4750)
	Fixed slapacl crasher (ITS#5820)
	Fixed slapd acl checks on ADD (ITS#4556,ITS#5723)
	Fixed slapd acl application to newly created backends (ITS#5572)
	Fixed slapd #if/#elif issues in thread includes (ITS#5824)
	Added slapd keyword add_content_acl for add checks (ITS#4556,ITS#5723)
	Fixed slapd concurrent access to connections (ITS#5814)
	Fixed slapd config backend olcLogFile support (ITS#5765)
	Fixed slapd contextCSN pending list (ITS#5709)
	Fixed slapd control criticality (ITS#5785)
	Added slapd dn.this search limits (ITS#5734)
	Fixed slapd error status on shutdown (ITS#5745)
	Fixed slapd filter substring handling (ITS#5803)
	Fixed slapd nameUIDPretty bitstring parsing (ITS#5750)
	Fixed slapd null termination of password (ITS#5794)
	Fixed slapd overlay/database open with real structure (ITS#5724)
	Fixed slapd parsing of read entry control (ITS#5741)
	Added slapd PMI schema (ITS#5695)
	Added slapd private databases in global overlays (ITS#5735,ITS#5736)
	Fixed slapd rdn generation when it isn't specified (ITS#5819)
	Fixed slapd slapd.conf validation to LDIF (ITS#5755)
	Fixed slapd startup scan for CSN (ITS#5640)
	Fixed slapd statslog printing of released entry (ITS#5775)
	Added slapd support for certificateListExactMatch (ITS#5700)
	Fixed slapd syncrepl event loss (ITS#5710)
	Fixed slapd syncrepl MOD of attrs with no EQ rule (ITS#5781)
	Fixed slapd syncrepl rename handling (ITS#5809)
	Fixed slapd syncrepl schema checking (ITS#5798)
	Fixed slapd syncrepl filter leak (ITS#5826)
	Fixed slapd undef promote (ITS#5783,ITS#5795)
	Added slapd What failed? control (ITS#5784)
	Fixed slapd-bdb/hdb invalid db crash (ITS#5698)
	Added slapd-bdb/hdb dbpagesize keyword
	Added slapd-bdb/hdb checksum keyword
	Fixed slapd-bdb/hdb indexing of entryDN (ITS#5790)
	Fixed slapd-bdb/hdb lookup of entryDN with equality (ITS#5791)
	Fixed slapd-bdb/hdb uninitialized bli_flag
	Fixed slapd-ldap snprintf buffer overflow test (ITS#4467)
	Fixed slapd-ldap search stop on minor failure (ITS#5816)
	Fixed slapd-ldif file rename on windows (ITS#5774)
	Fixed slapd-null read controls support (ITS#5757)
	Fixed slapd-sql value length with right index (ITS#5779)
	Fixed slapo-chain/translucent back-config support (ITS#5736)
	Fixed slapo-chain SEGV with search references (ITS#5742)
	Fixed slapo-collect compile with C89 (ITS#5747)
	Added slapo-constraint support for LDAP URI constraints (ITS#5704)
	Added slapo-constraint support for constraining rename (ITS#5703)
	Added slapo-constraint support for relax control (ITS#5705)
	Added slapo-constraint "set" type (ITS#5702)
	Fixed slapo-constraint filter parsing error (ITS#5751)
	Added slapo-dynlist URI restriction ability (ITS#5761)
	Fixed slapo-ppolicy unaligned BerElement (ITS#5770)
	Fixed slapo-rwm objectClass preservation (ITS#5760)
	Fixed slapo-rwm rewriting undefined filter (ITS#5731)
	Fixed slapo-rwm rewritten DN-valued attrs (ITS#5772)
	Fixed slapo-rwm reusing freed filter (ITS#5732)
	Fixed slapo-rwm entry get (ITS#5773)
	Fixed slapo-syncprov runqueue removal (ITS#5776)
	Fixed slapo-syncprov unreplicatable ops (ITS#5709)
	Fixed slapo-syncprov psearch leak (ITS#5827)
	Added slapo-translucent try local bind when remote fails (ITS#5656)
	Added slapo-translucent support for PasswordModify exop (ITS#5656)
	Fixed tools simple bind without SASL (ITS#5753)
	Fixed tools unaligned BerElement (ITS#5770)
	Fixed contrib nssov crash on empty groups (ITS#5800)
	Fixed contrib nssov crash with nssov-map (ITS#5801)
	Fixed contrib nssov filter and search limits (ITS#5802)
	Added contrib smbk5pwd honor principal expiration (ITS#5766)
	Build Environment
		Added ldapurl command
		Added slapd GSSAPI refactoring (ITS#5369)
		Added slapo-deref overlay (ITS#5768)
	Documentation
		admin24 added olcLimits to example (ITS#5746)
		admin24 consolidated on whitespace (ITS#5759)
		slapd.conf,config(5) subordinate/olcSubordinate keyword (ITS#5788)
		slapd.conf(5) fixed disable keyword for limits (ITS#5821)
		slapo-dds(5) manageDIT to relax (ITS#5780)
		slapo-dds(5) rootdn requirement added (ITS#5811)
		slapo-syncprov(5) sessionlog clarification (ITS#5806)

OpenLDAP 2.4.12 Release (2008/10/12)
	Fixed libldap ldap_utf8_strchar arguments (ITS#5720)
	Fixed libldap TLS_CRLFILE (ITS#5677)
	Fixed liblutil executables on Windows (ITS#5604)
	Fixed liblutil microsecond overflows on Windows (ITS#5668)
	Fixed librewrite memory handling (ITS#5691)
	Fixed slapd aci performance (ITS#5636)
	Fixed slapd aci's with sets (ITS#5627)
	Fixed slapd attribute leak (ITS#5683)
	Fixed slapd config backend with index greater than sibs (ITS#5684)
	Fixed slapd custom attribute inheritance (ITS#5642)
	Fixed slapd dynacl mask handling (ITS#5637)
	Fixed slapd firstComponentMatch normalization (ITS#5634)
	Added slapd caseIgnoreListMatch (ITS#5608)
	Fixed slapd connection events enabled twice (ITS#5725)
	Fixed slapd memory handling (ITS#5691)
	Fixed slapd objectClass canonicalization (ITS#5681)
	Fixed slapd objectClass termination (ITS#5682)
	Fixed slapd overlay control registration (ITS#5649)
	Fixed slapd runqueue checking (ITS#5726)
	Fixed slapd spurious text output (ITS#5688)
	Fixed slapd socket closing on Windows (ITS#5606)
	Fixed slapd sortvals comparison (ITS#5578)
	Added slapd substitute syntax support (ITS#5663)
	Fixed slapd syncrepl contextCSN detection (ITS#5675)
	Fixed slapd syncrepl error logging (ITS#5618)
	Fixed slapd syncrepl runqueue interval (ITS#5719)
	Fixed slapd-bdb entry return if attr not present (ITS#5650)
	Fixed slapd-bdb olcDbMode syntax (ITS#5713)
	Fixed slapd-bdb/hdb release search entries earlier (ITS#5728,ITS#5730)
	Fixed slapd-bdb/hdb subtree search with empty suffix (ITS#5729)
	Fixed slapd-dnssrv memory handling (ITS#5691)
	Fixed slapd-ldap,slapd-meta invalid filter behavior (ITS#5614)
	Fixed slapd-meta memory handling (ITS#5691)
	Fixed slapd-meta objectClass filtering (ITS#5647)
	Fixed slapd-meta quarantine behavior (ITS#5592)
	Added slapd-ndb experimental backend
	Fixed slapd-relay initialization (ITS#5643)
	Fixed slapd-sql freeing of connection (ITS#5607)
	Fixed slapd-sql fault on NULL fields (ITS#5653)
	Fixed slapo-accesslog entryCSN generation on purge (ITS#5694)
	Fixed slapo-constraint string termination (ITS#5609)
	Fixed slapo-dynlist expansion with mapped attributes (ITS#5717)
	Fixed slapo-memberof internal operations DN (ITS#5622)
	Fixed slapo-pcache attrset crash (ITS#5665)
	Fixed slapo-pcache caching with invalid schema (ITS#5680)
	Fixed slapo-ppolicy control return on password modify exop (ITS#5711)
	Fixed slapo-rwm callback cleanup (ITS#5601,ITS#5687)
	Fixed slapo-rwm attr mapping and merging (ITS#5624)
	Fixed slapo-rwm objectClass filtering (ITS#5647)
	Fixed slapo-translucent back-config support (ITS#5689)
	Fixed slapo-translucent filter usage on merged entries (ITS#5679)
	Fixed slapo-unique filter validation (ITS#5581)
	Fixed slapo-unique suffix testing (ITS#5641)
	Build Environment
		Fixed ODBC library detection (ITS#5602)
		Removed pre-BerkeleyDB 4.4 support
		Added BerkeleyDB 4.7 support (ITS#5523)
		Included patch for BerkeleyDB 4.7.25 (build/db.4.7.25.patch)
		Added slapo-collect overlay with enhancements(ITS#5659)
	Documentation
		Added slapd-ldap(5), slapd-meta(5) noundeffilter (ITS#5614)
		Fixed slapd-ldap(5), slapd-meta(5), slapo-pcache(5) schema requirements (ITS#5680)
		Added slapo-collect(5) man page (ITS#5706)
		Added slapo-pcache(5) proxycheckcacheability option (ITS#5680)
		Added slapo-retcode(5) retcode.conf location (ITS#5633)
		admin24 dontusecopy control update (ITS#5718)
		admin24 guide updates (ITS#5616)
		admin24 octetString fix (ITS#5670)

OpenLDAP 2.4.11 Release (2008/07/16)
	Fixed liblber ber_get_next length decoding (ITS#5580)
	Added libldap assertion control (ITS#5560)
	Fixed libldap GnuTLS CRL result handling (ITS#5577)
	Fixed libldap GnuTLS SSF computation (ITS#5585)
	Fixed liblutil missing return code (ITS#5615)
	Fixed slapd cert serial number parsing (ITS#5588)
	Fixed slapd check for structural_class failures (ITS#5540)
	Fixed slapd config backend renumbering (ITS#5571)
	Fixed slapd configContext OID (ITS#5383)
	Fixed slapd crash with no listeners (ITS#5563)
	Fixed slapd equality rules for olcRootDN/olcSchemaDN (ITS#5540)
	Fixed slapd sets memory leak (ITS#5557)
	Fixed slapd sortvals binary search (ITS#5578)
	Fixed slapd syncrepl updates with multiple masters (ITS#5597)
	Fixed slapd syncrepl superior objectClass delete/add (ITS#5600)
	Fixed slapd syncrepl/slapo-syncprov contextCSN updates as internal ops (ITS#5596)
	Added slapd-ldap/slapd-meta option to filter out search references (ITS#5593)
	Fixed slapd-meta link to slapd-ldap (ITS#5355)
	Fixed slapd-sock, back-shell buffer count (ITS#5558)
	Fixed slapo-dynlist dg attrs lookup (ITS#5583)
	Fixed slapo-dynlist entry release (ITS#5135)
	Fixed slapo-memberof replace handling (ITS#5584)
	Added slapo-nssov contrib module
	Fixed slapo-pcache handling of negative search caches (ITS#5546)
	Fixed slapo-ppolicy DNs with whitespaces (ITS#5552)
	Fixed slapo-ppolicy modify with internal ops (ITS#5569)
	Fixed slapo-syncprov ACL evaluation (ITS#5548)
	Fixed slapo-syncprov crash with delcsn (ITS#5589)
	Fixed slapo-syncprov full reload (ITS#5564)
	Fixed slapo-syncprov missing olcSpReloadHint attr(ITS#5591)
	Fixed slapo-unique filter normalization (ITS#5581)
	Fixed contrib smbk5pwd terminator (ITS#5575)
	Build Environment
		Fixed test048 to skip if threads is not available (ITS#5529)
	Documentation
		Added slapo-pcache(5) sizelimit caching (ITS#5559)
		Added slapd-access(5) add and delete privs (ITS#5566)
		admin24 GnuTLS documentation (ITS#5554)

OpenLDAP 2.4.10 Release (2008/06/08)
	Fixed libldap file descriptor leak with SELinux (ITS#5507)
	Fixed libldap ld_defconn cleanup if it was freed (ITS#5518, ITS#5525)
	Fixed libldap msgid handling (ITS#5318)
	Fixed libldap t61 infinite loop (ITS#5542)
	Fixed libldap_r missing stubs (ITS#5519)
	Fixed slapd initialization of sr_msgid, rs->sr_tag (ITS#5461)
	Fixed slapd missing termination of integerFilter keys (ITS#5503)
	Fixed slapd multiple attrs in URI (ITS#5516)
	Fixed slapd sasl_ssf retrieval (ITS#5403)
	Fixed slapd socket assert (ITS#5489)
	Fixed slapd syncrepl cookie (ITS#5536)
	Fixed slapd-bdb/hdb MAXPATHLEN (ITS#5531)
	Fixed slapd-bdb indexing in single ADD/MOD (ITS#5521)
	Fixed slapd-ldap entry_get() op-dependent behavior (ITS#5513)
	Fixed slapd-meta quarantine crasher (ITS#5522)
	Fixed slapo-refint to allow setting modifiers name (ITS#5505)
	Fixed slapo-syncprov contextCSN passing on syncprov consumers (ITS#5488)
	Fixed slapo-syncprov csn update with delta-syncrepl (ITS#5493)
	Fixed slapo-syncprov op2.o_extra reset (ITS#5501, #5506)
	Fixed slapo-syncprov searching wrong backend (ITS#5487)
	Fixed slapo-syncprov sending ops without queued CSNs (ITS#5465)
	Fixed slapo-syncprov max csn search on startup (ITS#5537)
	Fixed slapo-unique config structs (ITS#5526)
	Fixed slapo-unique filter terminator (ITS#5511)
	Documentation
		Add search privileges documentation (ITS#5512)
		admin24 security document updates (ITS#5524)

OpenLDAP 2.4.9 Release (2008/05/07)
	Fixed libldap to use unsigned port (ITS#5436)
	Fixed libldap error message for missing close paren (ITS#5458)
	Fixed libldap_r tpool pause checks (ITS#5364, #5407)
	Fixed slapcat error checking (ITS#5387)
	Fixed slapd abstract objectClass inheritance check (ITS#5474)
	Fixed slapd add operations requiring naming attrs (ITS#5412)
	Fixed slapd connection handling (ITS#5469)
	Fixed slapd delta-syncrepl resync (ITS#5378)
	Fixed slapd frontendDB backend selection (ITS#5419)
	Fixed slapd pagedresults stale state (ITS#5409)
	Fixed slapd pointer dereference (ITS#5388)
	Fixed slapd null argument dereference (ITS#5435)
	Fixed slapd REP_ENTRY flags (ITS#5340)
	Fixed slapd sets attribute description parsing (ITS#5402)
	Fixed slapd syncrepl hang on back-config (ITS#5407)
	Fixed slapd syncrepl compare_csns crash (ITS#5413)
	Fixed slapd syncrepl contextCSN update clash (ITS#5426)
	Fixed slapd syncrepl/glue failure (ITS#5430)
	Fixed slapd syncrepl crash on empty CSN (ITS#5432)
	Fixed slapd syncrepl refreshAndPersist (ITS#5454)
	Fixed slapd syncrepl modrdn processing (ITS#5397)
	Fixed slapd syncrepl MMR partial refresh (ITS#5470)
	Fixed slapd value list termination (ITS#5450)
	Fixed slapd/slapo-accesslog rq mutex usage (ITS#5442)
	Fixed slapd-bdb ID_NOCACHE handling (ITS#5439)
	Fixed slapd-bdb entryinfo state if db_lock fails (ITS#5455)
	Fixed slapd-bdb referral rewrite (ITS#5339)
	Fixed slapd-config overlay stacking (ITS#5346)
	Fixed slapd-config attribute publishing (ITS#5383)
	Fixed slapd-ldap connection handler (ITS#5404)
	Fixed slapd-ldif file name handling & multi-suffix/dir catch (ITS#5408)
	Fixed slapd-meta connections on error (ITS#5440)
	Fixed slapd-meta crash on search (ITS#5481)
	Fixed slapo-accesslog null callback stack crash (ITS#5490)
	Fixed slapo-auditlog unnecessary syscall (ITS#5441)
	Added slapo-dynlist mapping to dynamic attrs generation (ITS#5466)
	Fixed slapo-refint dnSubtreeMatch (ITS#5427)
	Fixed slapo-refint global referential integrity (ITS#5428)
	Fixed slapo-syncprov psearch on closed connection (ITS#5401)
	Fixed slapo-syncprov psearch task delay (ITS#5405)
	Fixed slapo-syncprov psearch filter identity (ITS#5418, #5486)
	Fixed slapo-syncprov/glue contextCSN update (ITS#5433)
	Fixed slapo-syncprov/glue search ops (ITS#5434)
	Fixed slapo-syncprov null cookie (ITS#5437,#5444)
	Fixed slapo-syncprov double-free (ITS#5445)
	Fixed slapo-syncprov free syncop correctly (ITS#5484)
	Fixed slapo-syncprov glue deadlock (ITS#5451)
	Build Environment
		Fixed leave function naming for OSF1 (ITS#5411)
	Documentation
		Fixed slapd.access(5) authz-regexp documented behavior (ITS#5400)
		Fixed slapd.meta(5) idassert-* documentation (ITS#5406)
		admin24 delta-syncrepl documentation (ITS#5476)
		admin24 set documentation (ITS#5278,ITS#5279,ITS#5281)
		admin24 slapo-ppolicy documentation (ITS#5479)
		admin24 syncrepl directives update (ITS#5425)

OpenLDAP 2.4.8 Release (2008/02/19)
	Fixed ldapmodify verbose logging (ITS#5247)
	Fixed ldapdelete with sizelimit (ITS#5294)
	Fixed ldapdelete with subentries control (ITS#5293)
	Fixed ldapsearch exit code init (ITS#5317)
	Fixed libldap extended decoding (ITS#5304)
	Fixed libldap filter abort (ITS#5300)
	Fixed libldap ldap_parse_sasl_bind_result (ITS#5263)
	Fixed libldap result codes for open (ITS#5338)
	Fixed libldap search timeout crash (ITS#5291)
	Fixed libldap paged results crash (ITS#5315)
	Fixed libldap cipher suite with GnuTLS (ITS#5341)
	Fixed slapd support for 2.1 CSN (ITS#5348)
	Fixed slapd include handling (ITS#5276)
	Fixed slapd modrdn check for valid new DN (ITS#5344)
	Fixed slapd multi-step SASL binds (ITS#5298)
	Fixed slapd non-atomic signal variables (ITS#5248)
	Fixed slapd overlay ordering when moving to slapd.d (ITS#5284)
	Fixed slapd NULL printf (ITS#5264)	
	Fixed slapd NULL set values (ITS#5286)
	Fixed slapd SEGV with SASL/OTP (ITS#5259)
	Fixed slapd timestamp race condition (ITS#5370)
	Fixed slapd cn=config crash on delete (ITS#5343)
	Fixed slapd cn=config global acls (ITS#5352)
	Fixed slapd truncated cookie (ITS#5362)
	Fixed slapd sasl with CLEARTEXT (ITS#5368)
	Fixed slapd str2entry with no attrs (ITS#5308)
	Fixed slapd TLSVerifyClient default (ITS#5360)
	Fixed slapd HAVE_TLS dependency (ITS#5379)
	Fixed slapd delta-syncrepl refresh mode (ITS#5376)
	Fixed slapd ACL sets URI attrs (ITS#5384)
	Fixed slapd invalid entryUUID filter (ITS#5386)
	Fixed slapd-bdb idlcache on adds (ITS#5086)
	Fixed slapd-bdb crash with modrdn (ITS#5358)
	Fixed slapd-bdb SEGV with bdb4.6 (ITS#5322)
	Fixed slapd-bdb modrdn to same dn (ITS#5319)
	Fixed slapd-bdb MMR (ITS#5332)
	Added slapd-bdb/slapd-hdb DB encryption (ITS#5359)
	Fixed slapd-ldif delete (ITS#5265)
	Fixed slapd-meta link to slapd-ldap (ITS#5355)
	Fixed slapd-meta setting of sm_nvalues (ITS#5375)
	Fixed slapd-monitor crash (ITS#5311)
	Fixed slapd-relay compare (ITS#4937)
	Added slapd-sock (ITS#4094)
	Fixed slapo-accesslog cleanup on successful response (ITS#5374)
	Added slapo-autogroup contrib module (ITS#5145)
	Added slapo-constraint cross-attribute constraints (ITS#4987)
	Fixed slapo-memberof objectClass inheritance (ITS#5299)
	Added slapo-memberof global overlay support (ITS#5301)
	Fixed slapo-memberof leak (ITS#5302)
	Fixed slapo-ppolicy only password check with policy (ITS#5285)
	Fixed slapo-ppolicy del/replace password without new one (ITS#5373)
	Fixed slapo-syncprov hang on checkpoint (ITS#5261)
	Added slapo-translucent local searching (ITS#5283)
	Removed lint
	Build Environment
		Fixed libldap_r threaded library linking (ITS#4982)
		Fixed libldap use of %n (ITS#5324)
		Fixed test047 to skip if rwm is not available (ITS#5292)
	Documentation
		DB_CONFIG.example URL wrong in comments (ITS#5288)
		Add cn=config example for auditlog (ITS#5245)
		ldapmodify(1) clarification for RFC2849 (ITS#5312)

OpenLDAP 2.4.7 Release (2007/12/14)
	Added slapd ordered indexing of integer attributes (ITS#5239)
	Fixed slapd paged results control handling (ITS#5191)
	Fixed slapd sasl-host parsing (ITS#5209)
	Fixed slapd filter normalization (ITS#5212)
	Fixed slapd multiple suffix checking (ITS#5186)
	Fixed slapd paged results handling when using rootdn (ITS#5230)
	Fixed slapd syncrepl presentlist handling (ITS#5231)
	Fixed slapd core schema 'c' definition for RFC4519 (ITS#5236)
	Fixed slapd 3-way Multi-Master Replication (ITS#5238)
	Fixed slapd hash collisions in index slots (ITS#5183)
	Fixed slapd replication of dSAOperation attributes (ITS#5268)
	Fixed slapadd contextCSN updating (ITS#5225)
	Fixed slapd-bdb/hdb to report and fail on internal errors (ITS#5232)
	Fixed slapd-bdb/hdb dn2entry lock bug (ITS#5257)
	Fixed slapd-bdb/hdb dn2id lock bug (ITS#5262)
	Fixed slapd-hdb caching on rename ops (ITS#5221)
	Fixed slapo-accesslog abandoned op cleanup (ITS#5161)
	Fixed slapo-dds deleting from nonexistent db (ITS#5267)
	Fixed slapo-memberOf deleted values saving (ITS#5258)
	Fixed slapo-pcache op->o_abandon handling (ITS#5187)
	Fixed slapo-ppolicy single password check on modify (ITS#5146)
	Fixed slapo-ppolicy internal search (ITS#5235)
	Fixed slapo-syncprov refresh and persist cookie sending (ITS#5210)
	Fixed slapo-syncprov ignore invalid cookies (ITS#5211)
	Fixed slapo-translucent interaction with slapo-rwm (ITS#4889)
	Updated contrib addpartial module (ITS#3593)
	Build Environment
		Fixed liblber socket library linking (ITS#5224)
		Fixed Windows slapd.def rules (ITS#5215)
	Documentation
		Fixed grammar errors (ITS#5223)
		Refint overlay doc contribution (ITS#5217)
		Dynamic Lists doc contribution to the admin guide (ITS#5216)
		Fixed ldappasswd(1) and ldapmodify(1) typos (ITS#5269)
		Fixed domain factor typos (ITS#5237)
		Fixed slapd.conf(5) maxderefdepth default value typo (ITS#5200)
		Clarified slapd.conf(5) limits issues in syncrepl (ITS#5243)
		Fixed slapd-config(5) maxderefdepth default value typo (ITS#5200)
		Patches for minor typos in man pages (ITS#5228)
		admin24/replication.sdf spelling (ITS#5270)


OpenLDAP 2.4.6 Release (2007/10/31)
	Initial release for "general use".
